/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 1 "modelParser.y" /* yacc.c:339  */

	/*---
  	Flow*: A Taylor Model Based Flowpipe analyzer.
  	Authors: Xin Chen, Erika Abraham and Sriram Sankaranarayanan.
  	Email: Xin Chen <xin.chen@cs.rwth-aachen.de> if you have questions or comments.
  
  	The code is released as is under the GNU General Public License (GPL). Please consult the file LICENSE.txt for
  	further information.
  	---*/


	#include "modelParser.h"

	extern int yyerror(const char *);
	extern int yyerror(string);
	extern int yylex();
	extern int yyparse();
	bool err;

#line 86 "modelParser.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "modelParser.tab.h".  */
#ifndef YY_YY_MODELPARSER_TAB_H_INCLUDED
# define YY_YY_MODELPARSER_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    NUM = 258,
    IDENT = 259,
    STATEVAR = 260,
    TMVAR = 261,
    TM = 262,
    EQ = 263,
    GEQ = 264,
    LEQ = 265,
    ASSIGN = 266,
    END = 267,
    MODE = 268,
    INIT = 269,
    BELONGSTO = 270,
    POLYODE1 = 271,
    POLYODE2 = 272,
    POLYODE3 = 273,
    VISUALIZE = 274,
    PARAAGGREG = 275,
    INTAGGREG = 276,
    TMAGGREG = 277,
    OUTPUT = 278,
    CONTINUOUS = 279,
    HYBRID = 280,
    SETTING = 281,
    FIXEDST = 282,
    FIXEDORD = 283,
    ADAPTIVEST = 284,
    ADAPTIVEORD = 285,
    MIN = 286,
    MAX = 287,
    REMEST = 288,
    INTERVAL = 289,
    OCTAGON = 290,
    GRID = 291,
    QRPRECOND = 292,
    IDPRECOND = 293,
    TIME = 294,
    MODES = 295,
    JUMPS = 296,
    INV = 297,
    GUARD = 298,
    RESET = 299,
    START = 300,
    MAXJMPS = 301,
    PRINTON = 302,
    PRINTOFF = 303,
    UNSAFESET = 304,
    CONTINUOUSFLOW = 305,
    HYBRIDFLOW = 306,
    TAYLOR_PICARD = 307,
    TAYLOR_REMAINDER = 308,
    TAYLOR_POLYNOMIAL = 309,
    EXP = 310,
    SIN = 311,
    COS = 312,
    LOG = 313,
    SQRT = 314,
    NPODE_TAYLOR = 315,
    CUTOFF = 316,
    PRECISION = 317,
    GNUPLOT = 318,
    MATLAB = 319,
    COMPUTATIONPATHS = 320,
    LTIODE = 321,
    LTVODE = 322,
    uminus = 323
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 22 "modelParser.y" /* yacc.c:355  */

	double dblVal;
	string *identifier;
	vector<Interval> *intVec;
	vector<int> *iVec;
	vector<double> *dVec;
	vector<Monomial> *monoVec;
	vector<Polynomial> *polyVec;
	Monomial *mono;
	Polynomial *poly;
	TaylorModelVec *tmVec;
	Matrix *mat;
	vector<vector<double> > *dVecVec;
	vector<PolynomialConstraint> *vecConstraints;
	ResetMap *resetMap;
	Flowpipe *pFlowpipe;
	TaylorModel *ptm;
	Interval *pint;
	vector<string> *strVec;
	TreeNode *pNode;

#line 217 "modelParser.tab.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_MODELPARSER_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 232 "modelParser.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  16
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1273

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  85
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  48
/* YYNRULES -- Number of rules.  */
#define YYNRULES  199
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  799

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   323

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    83,
      77,    81,    70,    68,    78,    69,     2,    71,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    84,    76,
       2,     2,    82,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    79,     2,    80,    73,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    74,     2,    75,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    72
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   107,   107,   155,   225,   272,   341,   371,   377,   410,
     419,   426,   432,   439,   448,   458,   468,   479,   500,   522,
     526,   531,   566,   600,   606,   613,   620,   625,   641,   651,
     667,   686,   708,   727,   732,   748,   767,   789,   808,   813,
     823,   833,   843,   853,   864,   876,   911,   930,   939,   948,
     957,   966,   975,   984,   993,  1002,  1011,  1021,  1052,  1076,
    1081,  1108,  1129,  1145,  1151,  1156,  1197,  1214,  1234,  1239,
    1253,  1268,  1309,  1359,  1412,  1480,  1529,  1591,  1608,  1625,
    1649,  1676,  1693,  1717,  1723,  1730,  1765,  1800,  1837,  1872,
    1907,  1945,  1953,  1961,  1966,  1980,  1999,  2026,  2037,  2062,
    2092,  2117,  2135,  2157,  2188,  2205,  2225,  2254,  2271,  2293,
    2324,  2341,  2349,  2357,  2362,  2370,  2392,  2399,  2427,  2435,
    2443,  2451,  2456,  2464,  2486,  2493,  2521,  2529,  2556,  2592,
    2600,  2608,  2613,  2621,  2643,  2650,  2678,  2705,  2712,  2719,
    2735,  2740,  2759,  2768,  2777,  2786,  2795,  2804,  2833,  2840,
    2858,  2881,  2888,  2895,  2911,  2916,  2935,  2944,  2953,  2962,
    2971,  2980,  3012,  3018,  3036,  3058,  3066,  3074,  3084,  3089,
    3102,  3111,  3120,  3129,  3138,  3147,  3164,  3170,  3186,  3206,
    3217,  3228,  3239,  3250,  3261,  3272,  3283,  3294,  3305,  3316,
    3328,  3338,  3353,  3370,  3378,  3386,  3393,  3398,  3405,  3433
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "NUM", "IDENT", "STATEVAR", "TMVAR",
  "TM", "EQ", "GEQ", "LEQ", "ASSIGN", "END", "MODE", "INIT", "BELONGSTO",
  "POLYODE1", "POLYODE2", "POLYODE3", "VISUALIZE", "PARAAGGREG",
  "INTAGGREG", "TMAGGREG", "OUTPUT", "CONTINUOUS", "HYBRID", "SETTING",
  "FIXEDST", "FIXEDORD", "ADAPTIVEST", "ADAPTIVEORD", "MIN", "MAX",
  "REMEST", "INTERVAL", "OCTAGON", "GRID", "QRPRECOND", "IDPRECOND",
  "TIME", "MODES", "JUMPS", "INV", "GUARD", "RESET", "START", "MAXJMPS",
  "PRINTON", "PRINTOFF", "UNSAFESET", "CONTINUOUSFLOW", "HYBRIDFLOW",
  "TAYLOR_PICARD", "TAYLOR_REMAINDER", "TAYLOR_POLYNOMIAL", "EXP", "SIN",
  "COS", "LOG", "SQRT", "NPODE_TAYLOR", "CUTOFF", "PRECISION", "GNUPLOT",
  "MATLAB", "COMPUTATIONPATHS", "LTIODE", "LTVODE", "'+'", "'-'", "'*'",
  "'/'", "uminus", "'^'", "'{'", "'}'", "';'", "'('", "','", "'['", "']'",
  "')'", "'>'", "'\\''", "':'", "$accept", "model", "continuous_flowpipes",
  "modeDecls", "hybrid_flowpipes", "computation_paths", "computation_path",
  "print", "unsafe_continuous", "unsafe_hybrid", "hybrid_constraints",
  "polynomial_constraints", "linear_constraints", "continuous", "hybrid",
  "hybrid_init", "modes", "jumps", "reset", "real_valued_vectors",
  "real_valued_vector", "vector_components", "stateVarDecls",
  "stateIdDeclList", "settings", "remainder_estimation", "remainders",
  "orders", "precondition", "plotting", "init", "tmVarDecls",
  "tmIdDeclList", "taylor_model", "taylor_model_domain", "intervals",
  "ode", "npode", "ltiode", "polynomial", "ODEpolynomial",
  "interval_taylor_model", "interval_polynomial",
  "non_polynomial_rhs_picard", "non_polynomial_rhs_remainder",
  "non_polynomial_rhs_no_remainder", "non_polynomial_rhs_string",
  "linear_polynomial", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    43,    45,
      42,    47,   323,    94,   123,   125,    59,    40,    44,    91,
      93,    41,    62,    39,    58
};
# endif

#define YYPACT_NINF -483

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-483)))

#define YYTABLE_NINF -129

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     433,    11,   -21,    59,    68,    80,    84,    36,    14,  -483,
     -33,    55,    55,    66,    71,   127,  -483,    90,   576,   692,
      26,    58,   133,   112,    62,   120,   191,  -483,   122,   126,
     155,   205,   237,    66,    66,   316,   622,  -483,   256,   278,
     290,   297,   314,    71,    71,   347,   630,  -483,   322,   346,
     375,   384,   391,   127,   127,   381,   638,  -483,   488,   494,
     510,   526,   532,   539,   474,   482,   540,  -483,   501,   496,
     509,   502,    66,    66,    66,    66,    66,   505,   319,   521,
      66,    66,    66,    66,   588,  -483,    71,    71,    71,    71,
      71,   507,   394,   527,    71,    71,    71,    71,   594,  -483,
     127,   127,   127,   127,   127,   535,   401,   541,   127,   127,
     127,   127,   624,  -483,   149,   551,   564,   621,   566,   579,
     636,  -483,   651,   329,   585,  -483,   317,   596,  -483,   317,
     420,   426,   435,   441,   450,  -483,   669,   -49,   -49,   505,
     505,  -483,   464,   470,   484,   498,   504,  -483,   671,    95,
      95,   507,   507,  -483,   513,   519,   533,   547,   553,  -483,
     675,   269,   269,   535,   535,  -483,  -483,  -483,   236,  -483,
     236,   307,   683,   685,   618,   698,   700,   632,   156,  -483,
       8,    -4,   661,   662,  -483,   733,   663,   361,  -483,   693,
    -483,  -483,  -483,  -483,  -483,   658,  -483,  -483,  -483,  -483,
    -483,   660,  -483,  -483,  -483,  -483,  -483,   664,   668,   239,
     739,   740,   742,   667,   236,   236,   236,   744,  -483,  -483,
     745,  -483,  -483,   746,  -483,   382,   407,  -483,   748,   747,
     674,   159,   713,   723,  -483,  -483,   680,    19,   753,  -483,
    -483,  -483,  -483,  -483,  -483,  -483,   754,    44,    44,   668,
    -483,  -483,  -483,   735,  -483,   681,   756,   687,   747,  -483,
     759,   760,   387,   690,  -483,   361,   688,   761,   689,  -483,
     691,   763,   489,   687,   737,   694,   697,   699,   701,   702,
     704,  -483,   705,   771,   255,   774,   775,   773,   778,   763,
    -483,   610,    24,   487,   751,  -483,  -483,  -483,  -483,  -483,
     166,   749,   706,   710,   734,   709,  -483,     7,    20,    25,
     778,  -483,  -483,   784,  -483,  -483,   382,   787,    40,    45,
      57,   115,   130,  -483,   717,  -483,   788,   719,   791,  -483,
       7,     7,   792,   325,     7,   718,   781,  -483,   174,   714,
      63,   472,   724,   720,   786,   790,   793,   725,   795,   727,
     797,   798,   731,   177,   788,   721,   741,   607,   728,    67,
       7,     7,   809,   386,   810,   736,  -483,   738,  -483,   812,
     194,   750,   779,   811,   752,   755,   757,   813,   758,   814,
     762,   764,   198,   747,   765,  -483,   223,   766,     7,  -483,
     817,   820,   101,   101,   741,  -483,    70,   767,   822,   824,
     768,   769,   829,   803,   825,   236,   747,   747,   747,   152,
     747,   254,   747,   400,   770,   794,   687,   747,  -483,   772,
     776,   777,   834,   837,   780,   782,   783,   839,   785,   273,
     227,   737,   408,   789,  -483,   842,   796,   799,  -483,  -483,
     800,   801,   802,   804,   805,   152,   152,   -14,   808,   806,
    -483,   254,   254,   649,   815,   818,   819,   821,   823,   826,
     413,   827,   655,   687,   807,  -483,   840,   816,   828,   845,
     846,   847,   836,   848,   830,   849,   831,   829,   487,    13,
    -483,   850,   844,  -483,  -483,   152,   152,   152,   152,   152,
     832,   562,    10,   152,   152,   152,   854,  -483,   254,  -483,
     -29,    16,   254,  -483,  -483,  -483,  -483,  -483,  -483,   833,
     838,   841,   843,   851,  -483,  -483,   657,   857,   852,   860,
    -483,   853,   855,   835,   862,  -483,   863,   856,   864,   284,
     382,   865,    23,   866,   858,   568,   577,   583,   592,   598,
     152,  -483,   869,   476,   476,   832,   832,  -483,  -483,   254,
    -483,   870,  -483,  -483,   243,   257,   259,   260,   277,  -483,
    -483,  -483,  -483,  -483,   279,  -483,  -483,   871,   859,  -483,
    -483,   877,   861,   867,   882,   883,   868,   874,   872,   276,
     884,  -483,  -483,  -483,  -483,  -483,   873,   875,   876,   878,
     879,   880,   881,   283,   285,   286,   288,   291,   885,   889,
     895,   886,   900,   903,  -483,   887,   892,   294,   907,  -483,
    -483,   276,   276,   646,   890,   908,   911,   891,   893,   896,
     897,   898,   888,   894,   899,   901,   902,   904,   905,  -483,
    -483,   915,   912,   906,   913,   829,   909,   910,   613,    30,
     276,   276,   916,   923,   914,   917,  -483,  -483,  -483,  -483,
    -483,   918,   919,   921,   922,   924,   927,   930,   938,   925,
     829,   942,   518,  -483,   276,  -483,   944,   299,   299,   910,
    -483,   920,  -483,  -483,   169,   173,   176,   185,   190,  -483,
    -483,  -483,  -483,  -483,   926,   928,   929,  -483,   937,   520,
     939,   945,   931,  -483,   932,   933,   935,   936,   940,   328,
     197,   209,   216,   219,   252,   943,   747,  -483,   946,   941,
     949,   952,   953,  -483,  -483,  -483,  -483,  -483,   954,   955,
     956,   934,   947,   948,   950,   951,   957,  -483,  -483,   295,
     958,   959,   961,   962,   960,  -483,  -483,  -483,   972,  -483,
    -483,  -483,  -483,  -483,   272,   850,  -483,   973,   975,   978,
     982,  -483,   963,   968,   296,  -483,   965,  -483,   964,   985,
     969,  -483,   987,   999,   966,  -483,   991,  -483,  -483,   298,
    1001,   967,   703,  -483,   980,   970,  -483,   236,  -483,   652,
     -38,    39,  -483,  1014,  -483,  1016,   971,   437,   974,  1018,
    1024,  -483,  1026,  -483,   976,   977,  1027,  -483,  -483
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,    70,
      68,     0,     0,     0,     0,     0,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    33,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    69,     2,     0,
       4,     0,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,    10,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,    11,
       0,     0,     0,     0,     0,   176,     0,     0,     0,     0,
       0,     0,     0,    12,     0,     0,     0,     0,     0,     0,
       0,    33,     0,     0,     0,     3,     0,     0,     5,     0,
       0,     0,     0,     0,     0,   140,     0,   137,   138,   139,
     141,   147,     0,     0,     0,     0,     0,   154,     0,   151,
     152,   153,   155,   161,     0,     0,     0,     0,     0,   168,
       0,   165,   166,   167,   169,   175,   126,   125,     0,    16,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,    33,     0,     0,     0,    28,     0,
     142,   143,   144,   145,   146,     0,   156,   157,   158,   159,
     160,     0,   170,   171,   172,   173,   174,     0,   124,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    85,    86,
       0,    88,    89,     0,    15,     0,     0,    20,     0,     0,
       0,     0,     0,     0,    23,    24,     0,     0,     0,   150,
     164,   178,   121,    31,    30,    29,     0,   119,   120,   122,
     123,    87,    90,     0,    19,     0,     0,     0,     0,    25,
       0,     0,     0,     0,    26,     0,     0,     0,     0,    95,
      93,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    33,     0,     0,     0,     0,     0,     0,     0,     0,
       7,     0,     0,     0,     0,   104,   104,   104,   107,   110,
       0,     0,     0,     0,     0,     0,    94,     0,     0,     0,
       0,     6,    77,     0,    83,    84,     0,     0,     0,     0,
       0,     0,     0,    27,     0,    32,     0,     0,     0,   135,
       0,     0,     0,     0,     0,     0,     0,    14,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   134,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    13,     0,    78,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     9,     0,     0,     0,   131,
       0,     0,   129,   130,   132,   133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   101,   101,   101,     0,
     101,     0,   101,     0,     0,     0,     0,     0,     8,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   102,     0,    97,    92,     0,     0,   192,   191,
       0,     0,     0,     0,     0,     0,     0,   105,     0,   199,
     198,     0,     0,   108,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   136,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      39,     0,     0,    40,    41,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,     0,     0,    42,     0,   197,
       0,     0,     0,    43,   104,   104,   104,   107,   110,     0,
       0,     0,     0,     0,    59,    18,     0,     0,     0,     0,
      99,     0,     0,     0,     0,    82,     0,     0,     0,     0,
       0,     0,     0,    91,     0,     0,     0,     0,     0,     0,
       0,   182,     0,   179,   180,   181,   183,   189,   195,     0,
     196,     0,   193,   194,     0,     0,     0,     0,     0,   104,
     104,   104,   107,   110,     0,    17,    21,   136,     0,    98,
      80,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   184,   185,   186,   187,   188,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     136,     0,     0,     0,    81,     0,     0,     0,     0,   118,
     117,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    79,
      71,     0,     0,     0,     0,     0,     0,   116,     0,     0,
       0,     0,     0,     0,     0,     0,    33,    33,    33,    33,
      38,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   103,     0,   113,     0,   111,   112,   114,
     115,     0,   106,   109,     0,     0,     0,     0,     0,    33,
      33,    33,    33,    38,     0,     0,     0,    73,     0,     0,
       0,     0,     0,   100,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   101,    44,     0,     0,
       0,     0,     0,    48,    50,    52,    54,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    33,    97,     0,
       0,     0,     0,     0,     0,    36,    35,    34,     0,    47,
      49,    51,    53,    55,     0,     0,    45,     0,     0,     0,
       0,    96,     0,     0,     0,    72,     0,    75,     0,     0,
       0,    46,     0,     0,     0,    62,     0,    76,    37,     0,
       0,     0,     0,    74,     0,     0,    58,     0,    64,    61,
       0,     0,    57,     0,    63,     0,     0,     0,     0,     0,
       0,    65,     0,    67,     0,     0,     0,    60,    66
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -483,  -483,  -265,  -483,   534,  -483,   979,   602,   981,   643,
    -483,  -120,   233,  -483,  -483,  -483,  -483,  -483,  -483,  -483,
    -483,  -483,   722,  -483,   983,   517,  -483,  -468,   483,  -220,
     -82,  -226,  -483,   232,  -306,   258,  -290,  -482,  -450,  -255,
    -168,   984,    76,   368,   338,   311,  -383,  -401
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     7,   272,    20,   353,   180,   181,   236,   125,   128,
     237,   114,   678,    23,    25,   686,   382,   564,   769,   780,
     784,   787,     8,    10,   187,   293,   340,   429,   316,    21,
     433,   434,   270,   481,   309,   435,   318,   321,   322,   667,
     171,   288,   392,    36,    46,    56,   543,   552
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     208,   178,   209,   257,   338,   253,   319,   320,   291,   529,
     453,   329,   179,   438,   439,     9,   166,   167,    17,   449,
     450,    82,    83,   263,    84,   557,   447,   312,   334,   336,
      64,   579,   273,   609,   610,   335,    16,   782,   335,   549,
     502,   783,   166,   167,   343,    22,   247,   248,   249,   343,
     499,   500,   550,    11,   492,   493,   494,   495,   558,   496,
       1,   343,   490,   491,   231,   440,   441,   442,   443,   444,
      27,   329,   227,   228,   329,    37,   330,    18,    19,   445,
     596,    66,   168,   225,   331,   451,   332,   446,    69,   542,
     170,    65,   531,   452,   264,   551,   341,   548,   313,   611,
     337,   553,   535,   536,   537,   538,   539,   612,   168,   666,
     544,   545,   546,   597,   216,   344,   170,   217,   785,   347,
     345,    28,    29,    30,    31,    32,    38,    39,    40,    41,
      42,    47,   346,    12,   349,    33,   330,    67,   368,   330,
      43,   369,    13,    34,   331,    35,   391,   331,    44,   422,
      45,   462,   166,   167,    14,   438,   439,   416,    15,   166,
     167,   300,   166,   167,    57,    96,    97,   662,    98,   166,
     167,   361,   166,   167,   362,   533,   166,   167,   336,   166,
     167,   384,    48,    49,    50,    51,    52,    68,   166,   167,
     348,   463,   689,   449,   450,    70,    53,   401,   516,    72,
     166,   167,   414,    73,    54,   350,    55,   440,   441,   442,
     443,   444,   166,   167,   554,   555,   556,    71,   168,   166,
     167,   445,   166,   167,   169,   168,   170,   384,   168,   446,
     476,   224,    74,   170,   259,   168,   170,   432,   168,   166,
     167,   323,   168,   170,   694,   168,   170,   343,   695,   366,
     170,   696,   385,   170,   168,   449,   450,   449,   450,   451,
     697,   343,   170,   343,   347,   698,   168,   452,   402,   593,
     594,   595,   722,   415,   170,   166,   167,   699,   168,   609,
     610,   349,    75,   598,   723,   168,   170,   343,   168,   343,
     343,   724,   347,   170,   725,   349,   170,   634,   418,   482,
     336,   477,   771,   699,   127,   168,   303,   214,   215,   216,
     577,   247,   217,   170,    76,   210,   211,   212,   588,    79,
     242,   451,   213,   451,   613,   436,   437,   726,   448,   452,
     454,   452,   589,    86,   590,   591,   718,   719,   720,   110,
     111,   168,   112,   721,   185,   611,   186,   753,   474,   170,
      93,   475,   592,   612,   599,    87,   637,   638,   622,   576,
     623,   624,   475,   625,   105,   106,   626,    88,   635,   641,
     746,   761,   642,   772,    89,   214,   215,   216,   124,   182,
     217,    91,    92,   333,   107,   668,   669,    80,    81,    82,
      83,    90,    84,   359,   360,   361,   549,   502,   362,   100,
     135,    77,    78,   276,   277,   278,   356,   357,   234,   235,
     363,   154,   155,   156,   157,   158,   455,   456,   457,   161,
     162,   163,   164,   101,   142,   143,   144,   145,   146,   509,
     510,   511,   149,   150,   151,   152,   393,   394,     1,   754,
     130,   131,   132,   133,   134,    18,    19,   279,   137,   138,
     139,   140,   102,   280,   396,   360,   361,     2,     3,   362,
     458,   103,    94,    95,    96,    97,   459,    98,   104,   108,
     109,   110,   111,   512,   112,   147,   479,   215,   216,   513,
     728,   217,   159,   254,   228,     4,     5,     6,    80,    81,
      82,    83,   115,    84,    80,    81,    82,    83,   116,    84,
     370,   190,   371,    80,    81,    82,    83,   191,    84,    80,
      81,    82,    83,   117,    84,   790,   192,   791,    80,    81,
      82,    83,   193,    84,   314,   315,   674,   675,   676,   677,
     118,   194,    94,    95,    96,    97,   119,    98,    94,    95,
      96,    97,   120,    98,   123,   196,   494,   495,   121,   496,
     124,   197,    94,    95,    96,    97,   122,    98,   127,   700,
     701,   702,   703,   289,   290,   198,    94,    95,    96,    97,
     126,    98,    94,    95,    96,    97,   129,    98,    84,   199,
      98,   108,   109,   110,   111,   200,   112,   108,   109,   110,
     111,   141,   112,   691,   202,   709,   475,   153,   475,   136,
     203,   108,   109,   110,   111,   148,   112,   744,   112,   779,
      58,    59,    60,   247,   204,   108,   109,   110,   111,   160,
     112,   108,   109,   110,   111,   174,   112,   165,   205,   172,
     540,   493,   494,   495,   206,   496,   540,   493,   494,   495,
     177,   496,   173,   541,   175,   540,   493,   494,   495,   581,
     496,   540,   493,   494,   495,   179,   496,   176,   582,   184,
     540,   493,   494,   495,   583,   496,   540,   493,   494,   495,
     188,   496,   195,   584,   201,   388,   360,   361,   207,   585,
     362,   664,   640,   641,   289,   311,   642,   218,   389,   219,
      80,    81,    82,    83,   665,    84,   220,    85,    94,    95,
      96,    97,   221,    98,   222,    99,   108,   109,   110,   111,
     223,   112,   230,   113,   639,   640,   641,   501,   502,   642,
     781,   215,   216,   775,   776,   217,    61,    62,    63,   289,
     515,   289,   565,    24,    26,   229,   232,   233,   239,   238,
     240,   217,   243,   244,   241,   245,   246,   250,   258,   251,
     252,   255,   260,   256,   261,   262,   265,   266,   267,   268,
     269,   271,   274,   275,   281,   284,   283,   287,   285,   286,
     292,   295,   294,   296,   302,   297,   298,   305,   299,   306,
     301,   307,   308,   317,   326,   327,   325,   328,   339,   324,
     342,   351,   352,   354,   355,   358,   365,   364,   367,   372,
     374,   387,   381,   373,   375,   383,   390,   376,   377,   378,
     379,   380,   395,   397,   362,   398,   400,   399,   404,   405,
     420,   409,   411,   421,   403,   424,   406,   425,   431,   407,
     427,   408,   410,   428,   430,   461,   412,   467,   413,   417,
     468,   464,   472,   518,   460,   423,   482,   419,   521,   522,
     523,   525,   426,   527,   532,   466,   465,   547,   469,   534,
     470,   566,   471,   568,   480,   572,   573,   282,   578,   473,
     336,   483,   586,   587,   484,  -128,   498,   485,   486,   487,
     601,   488,   489,   497,   602,   604,   605,   614,   386,   517,
     503,   526,   504,   505,   519,   506,   575,   507,   524,  -127,
     508,   514,   607,   628,   630,   496,   631,   559,   520,   528,
     636,   644,   560,   571,   645,   561,   704,   562,   617,   670,
     618,   619,   620,   621,   633,   563,   671,   304,   688,   603,
     651,   684,   567,   569,   685,   570,   652,   580,   658,   600,
     574,   653,   687,   654,   655,   690,   606,   692,   478,   730,
     608,   615,   732,   616,   627,   733,   734,   735,   736,   737,
     745,   530,   632,     0,   729,   646,   629,   647,   643,   705,
     648,   649,   650,   659,   661,   752,     0,   755,   756,   657,
     660,   747,   757,   642,   749,   758,   656,   763,   764,   663,
     766,   777,   679,   680,   672,   681,   682,   673,   683,   708,
     693,   710,   706,   767,   707,   773,   711,   713,   714,   712,
     715,   716,   760,   738,   770,   717,   731,   727,   786,   788,
     748,   793,   739,   740,   750,   741,   742,   762,   794,   795,
     798,     0,   743,     0,     0,     0,     0,     0,     0,     0,
     751,   759,     0,   765,   778,     0,   768,     0,     0,     0,
     774,     0,   792,     0,     0,   789,     0,   797,     0,     0,
     796,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   183,     0,     0,     0,     0,     0,
       0,     0,   189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   226,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   310
};

static const yytype_int16 yycheck[] =
{
     168,   121,   170,   229,   310,   225,   296,   297,   273,   477,
     411,     4,     4,     3,     4,     4,     3,     4,     4,     3,
       4,    70,    71,     4,    73,   507,   409,     3,     8,     4,
       4,     8,   258,     3,     4,    15,     0,    75,    15,    68,
      69,    79,     3,     4,     4,    78,   214,   215,   216,     4,
     451,   452,    81,    74,    68,    69,    70,    71,   508,    73,
       5,     4,   445,   446,   184,    55,    56,    57,    58,    59,
       4,     4,    76,    77,     4,     4,    69,    63,    64,    69,
     562,    23,    69,    75,    77,    69,    79,    77,    26,    79,
      77,    65,    79,    77,    75,    79,   316,   498,    74,    69,
      75,   502,   485,   486,   487,   488,   489,    77,    69,    79,
     493,   494,   495,   563,    70,    75,    77,    73,    79,     4,
      75,    55,    56,    57,    58,    59,    55,    56,    57,    58,
      59,     4,    75,    74,     4,    69,    69,     4,    75,    69,
      69,    78,    74,    77,    77,    79,    79,    77,    77,    79,
      79,   416,     3,     4,    74,     3,     4,   383,    74,     3,
       4,   281,     3,     4,    74,    70,    71,   635,    73,     3,
       4,    70,     3,     4,    73,   481,     3,     4,     4,     3,
       4,     4,    55,    56,    57,    58,    59,    75,     3,     4,
      75,   417,   660,     3,     4,    75,    69,     3,   463,    77,
       3,     4,     4,    77,    77,    75,    79,    55,    56,    57,
      58,    59,     3,     4,   504,   505,   506,    26,    69,     3,
       4,    69,     3,     4,    75,    69,    77,     4,    69,    77,
       3,    75,    77,    77,    75,    69,    77,   405,    69,     3,
       4,    75,    69,    77,    75,    69,    77,     4,    75,    75,
      77,    75,    75,    77,    69,     3,     4,     3,     4,    69,
      75,     4,    77,     4,     4,    75,    69,    77,    74,   559,
     560,   561,    75,    75,    77,     3,     4,   678,    69,     3,
       4,     4,    77,     4,    75,    69,    77,     4,    69,     4,
       4,    75,     4,    77,    75,     4,    77,     3,    75,     4,
       4,    74,     4,   704,    49,    69,    51,    68,    69,    70,
     530,   479,    73,    77,    77,     8,     9,    10,    75,     3,
      81,    69,    15,    69,   579,   407,   408,    75,   410,    77,
     412,    77,    75,    77,    75,    75,     8,     9,    10,    70,
      71,    69,    73,    15,    27,    69,    29,    75,    75,    77,
       3,    78,    75,    77,    75,    77,   611,   612,    75,    75,
      75,    75,    78,    75,    53,    54,    75,    77,    74,    70,
      75,    75,    73,    75,    77,    68,    69,    70,    49,    50,
      73,    43,    44,   307,     3,   640,   641,    68,    69,    70,
      71,    77,    73,    68,    69,    70,    68,    69,    73,    77,
      81,    33,    34,    16,    17,    18,   330,   331,    47,    48,
     334,   100,   101,   102,   103,   104,    16,    17,    18,   108,
     109,   110,   111,    77,    86,    87,    88,    89,    90,    16,
      17,    18,    94,    95,    96,    97,   360,   361,     5,   745,
      72,    73,    74,    75,    76,    63,    64,    60,    80,    81,
      82,    83,    77,    66,    68,    69,    70,    24,    25,    73,
      60,    77,    68,    69,    70,    71,    66,    73,    77,    68,
      69,    70,    71,    60,    73,    81,    68,    69,    70,    66,
     706,    73,    81,    76,    77,    52,    53,    54,    68,    69,
      70,    71,     4,    73,    68,    69,    70,    71,     4,    73,
      28,    81,    30,    68,    69,    70,    71,    81,    73,    68,
      69,    70,    71,     3,    73,    78,    81,    80,    68,    69,
      70,    71,    81,    73,    37,    38,   646,   647,   648,   649,
       4,    81,    68,    69,    70,    71,     4,    73,    68,    69,
      70,    71,     3,    73,     4,    81,    70,    71,    74,    73,
      49,    81,    68,    69,    70,    71,    74,    73,    49,   679,
     680,   681,   682,    74,    75,    81,    68,    69,    70,    71,
      74,    73,    68,    69,    70,    71,    74,    73,    73,    81,
      73,    68,    69,    70,    71,    81,    73,    68,    69,    70,
      71,     3,    73,    75,    81,    75,    78,     3,    78,    78,
      81,    68,    69,    70,    71,    78,    73,   727,    73,   777,
      34,    35,    36,   781,    81,    68,    69,    70,    71,    78,
      73,    68,    69,    70,    71,     4,    73,     3,    81,    78,
      68,    69,    70,    71,    81,    73,    68,    69,    70,    71,
       4,    73,    78,    81,    78,    68,    69,    70,    71,    81,
      73,    68,    69,    70,    71,     4,    73,    78,    81,    74,
      68,    69,    70,    71,    81,    73,    68,    69,    70,    71,
      74,    73,     3,    81,     3,    68,    69,    70,     3,    81,
      73,    68,    69,    70,    74,    75,    73,     4,    81,     4,
      68,    69,    70,    71,    81,    73,    78,    75,    68,    69,
      70,    71,     4,    73,     4,    75,    68,    69,    70,    71,
      78,    73,    50,    75,    68,    69,    70,    68,    69,    73,
      68,    69,    70,    20,    21,    73,    34,    35,    36,    74,
      75,    74,    75,    11,    12,    74,     3,    74,    80,    46,
      80,    73,     3,     3,    80,     3,    79,     3,    74,     4,
       4,     3,    39,     6,    31,    75,     3,     3,    23,    78,
       4,    74,     3,     3,    74,     4,    78,     4,    79,    78,
      33,    74,    78,    74,     3,    74,    74,     3,    74,     4,
      75,     8,     4,    32,    74,    51,    80,    78,     4,    40,
       3,    74,     4,    74,     3,     3,    15,    79,    84,    75,
      14,    80,     4,    83,    14,    74,    78,    14,    83,    14,
      83,    14,     3,     3,    73,    79,     4,    79,    39,     8,
       3,     8,     8,     3,    74,     3,    74,     3,     3,    74,
      61,    74,    74,     4,    31,    41,    74,     3,    74,    74,
       3,    69,     3,     3,    74,    78,     4,    81,     3,     3,
       3,     3,    84,     4,     4,    78,    80,     3,    78,    15,
      78,     4,    79,     3,    75,     3,     3,   265,     3,    84,
       4,    75,     3,     3,    75,     4,    70,    77,    77,    77,
       3,    77,    77,    75,    23,     3,     3,     3,   354,    82,
      75,    61,    74,    74,    78,    74,    32,    74,    62,     4,
      74,    74,    28,    14,     4,    73,     3,    74,    80,    78,
       3,     3,    74,    78,     3,    74,   683,    74,    42,     3,
      42,    42,    42,    42,    32,    74,     3,   284,     3,    62,
      42,     4,    80,    80,     4,    80,    42,    79,    23,    80,
      84,    42,     4,    42,    42,     3,    78,     3,   431,     3,
      78,    78,     3,    78,    69,     3,     3,     3,     3,     3,
     728,   478,    75,    -1,   706,    74,    80,    74,    78,    43,
      74,    74,    74,    61,    61,     3,    -1,     4,     3,    74,
      74,    23,     4,    73,    23,     3,    82,    23,     3,    80,
       3,    11,    74,    74,    80,    74,    74,    80,    74,    62,
      80,    62,    74,     4,    75,     4,    61,    75,    75,    78,
      75,    75,    44,    79,    23,    75,    75,    74,     4,     3,
      61,     3,    75,    75,    62,    75,    75,    62,     4,     3,
       3,    -1,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    78,    -1,    74,    74,    -1,    80,    -1,    -1,    -1,
      83,    -1,    78,    -1,    -1,    84,    -1,    80,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     5,    24,    25,    52,    53,    54,    86,   107,     4,
     108,    74,    74,    74,    74,    74,     0,     4,    63,    64,
      88,   114,    78,    98,   107,    99,   107,     4,    55,    56,
      57,    58,    59,    69,    77,    79,   128,     4,    55,    56,
      57,    58,    59,    69,    77,    79,   129,     4,    55,    56,
      57,    58,    59,    69,    77,    79,   130,    74,    34,    35,
      36,    34,    35,    36,     4,    65,    23,     4,    75,    26,
      75,    26,    77,    77,    77,    77,    77,   128,   128,     3,
      68,    69,    70,    71,    73,    75,    77,    77,    77,    77,
      77,   129,   129,     3,    68,    69,    70,    71,    73,    75,
      77,    77,    77,    77,    77,   130,   130,     3,    68,    69,
      70,    71,    73,    75,    96,     4,     4,     3,     4,     4,
       3,    74,    74,     4,    49,    93,    74,    49,    94,    74,
     128,   128,   128,   128,   128,    81,    78,   128,   128,   128,
     128,     3,   129,   129,   129,   129,   129,    81,    78,   129,
     129,   129,   129,     3,   130,   130,   130,   130,   130,    81,
      78,   130,   130,   130,   130,     3,     3,     4,    69,    75,
      77,   125,    78,    78,     4,    78,    78,     4,    96,     4,
      90,    91,    50,    93,    74,    27,    29,   109,    74,   109,
      81,    81,    81,    81,    81,     3,    81,    81,    81,    81,
      81,     3,    81,    81,    81,    81,    81,     3,   125,   125,
       8,     9,    10,    15,    68,    69,    70,    73,     4,     4,
      78,     4,     4,    78,    75,    75,    91,    76,    77,    74,
      50,    96,     3,    74,    47,    48,    92,    95,    46,    80,
      80,    80,    81,     3,     3,     3,    79,   125,   125,   125,
       3,     4,     4,   114,    76,     3,     6,   116,    74,    75,
      39,    31,    75,     4,    75,     3,     3,    23,    78,     4,
     117,    74,    87,   116,     3,     3,    16,    17,    18,    60,
      66,    74,    92,    78,     4,    79,    78,     4,   126,    74,
      75,    87,    33,   110,    78,    74,    74,    74,    74,    74,
      96,    75,     3,    51,    94,     3,     4,     8,     4,   119,
     126,    75,     3,    74,    37,    38,   113,    32,   121,   121,
     121,   122,   123,    75,    40,    80,    74,    51,    78,     4,
      69,    77,    79,   127,     8,    15,     4,    75,   119,     4,
     111,   114,     3,     4,    75,    75,    75,     4,    75,     4,
      75,    74,     4,    89,    74,     3,   127,   127,     3,    68,
      69,    70,    73,   127,    79,    15,    75,    84,    75,    78,
      28,    30,    75,    83,    14,    14,    14,    83,    14,    83,
      14,     4,   101,    74,     4,    75,    89,    80,    68,    81,
      78,    79,   127,   127,   127,     3,    68,     3,    79,    79,
       4,     3,    74,    74,    39,     8,    74,    74,    74,     8,
      74,     8,    74,    74,     4,    75,   116,    74,    75,    81,
       3,     3,    79,    78,     3,     3,    84,    61,     4,   112,
      31,     3,   125,   115,   116,   120,   115,   115,     3,     4,
      55,    56,    57,    58,    59,    69,    77,   131,   115,     3,
       4,    69,    77,   132,   115,    16,    17,    18,    60,    66,
      74,    41,    87,   116,    69,    80,    78,     3,     3,    78,
      78,    79,     3,    84,    75,    78,     3,    74,   110,    68,
      75,   118,     4,    75,    75,    77,    77,    77,    77,    77,
     131,   131,    68,    69,    70,    71,    73,    75,    70,   132,
     132,    68,    69,    75,    74,    74,    74,    74,    74,    16,
      17,    18,    60,    66,    74,    75,    87,    82,     3,    78,
      80,     3,     3,     3,    62,     3,    61,     4,    78,   112,
     113,    79,     4,   119,    15,   131,   131,   131,   131,   131,
      68,    81,    79,   131,   131,   131,   131,     3,   132,    68,
      81,    79,   132,   132,   121,   121,   121,   122,   123,    74,
      74,    74,    74,    74,   102,    75,     4,    80,     3,    80,
      80,    78,     3,     3,    84,    32,    75,   114,     3,     8,
      79,    81,    81,    81,    81,    81,     3,     3,    75,    75,
      75,    75,    75,   121,   121,   121,   122,   123,     4,    75,
      80,     3,    23,    62,     3,     3,    78,    28,    78,     3,
       4,    69,    77,   124,     3,    78,    78,    42,    42,    42,
      42,    42,    75,    75,    75,    75,    75,    69,    14,    80,
       4,     3,    75,    32,     3,    74,     3,   124,   124,    68,
      69,    70,    73,    78,     3,     3,    74,    74,    74,    74,
      74,    42,    42,    42,    42,    42,    82,    74,    23,    61,
      74,    61,   112,    80,    68,    81,    79,   124,   124,   124,
       3,     3,    80,    80,    96,    96,    96,    96,    97,    74,
      74,    74,    74,    74,     4,     4,   100,     4,     3,   112,
       3,    75,     3,    80,    75,    75,    75,    75,    75,   132,
      96,    96,    96,    96,    97,    43,    74,    75,    62,    75,
      62,    61,    78,    75,    75,    75,    75,    75,     8,     9,
      10,    15,    75,    75,    75,    75,    75,    74,   116,   120,
       3,    75,     3,     3,     3,     3,     3,     3,    79,    75,
      75,    75,    75,    75,    96,   118,    75,    23,    61,    23,
      62,    80,     3,    75,   119,     4,     3,     4,     3,    78,
      44,    75,    62,    23,     3,    74,     3,     4,    80,   103,
      23,     4,    75,     4,    83,    20,    21,    11,    74,   125,
     104,    68,    75,    79,   105,    79,     4,   106,     3,    84,
      78,    80,    78,     3,     4,     3,    84,    80,     3
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    85,    86,    86,    86,    86,    86,    86,    86,    86,
      86,    86,    86,    87,    87,    88,    88,    89,    89,    90,
      90,    91,    91,    92,    92,    93,    94,    95,    95,    96,
      96,    96,    96,    96,    97,    97,    97,    97,    97,    98,
      98,    98,    98,    98,    99,   100,   100,   101,   101,   101,
     101,   101,   101,   101,   101,   101,   101,   102,   102,   102,
     103,   103,   103,   104,   104,   105,   106,   106,   107,   108,
     108,   109,   109,   109,   109,   109,   109,   110,   110,   111,
     111,   112,   112,   113,   113,   114,   114,   114,   114,   114,
     114,   115,   115,   116,   117,   117,   118,   118,   119,   119,
     120,   120,   121,   121,   121,   122,   122,   122,   123,   123,
     123,   124,   124,   124,   124,   124,   124,   124,   124,   125,
     125,   125,   125,   125,   125,   125,   125,   126,   126,   127,
     127,   127,   127,   127,   127,   127,   127,   128,   128,   128,
     128,   128,   128,   128,   128,   128,   128,   128,   128,   128,
     128,   129,   129,   129,   129,   129,   129,   129,   129,   129,
     129,   129,   129,   129,   129,   130,   130,   130,   130,   130,
     130,   130,   130,   130,   130,   130,   130,   130,   130,   131,
     131,   131,   131,   131,   131,   131,   131,   131,   131,   131,
     131,   131,   131,   132,   132,   132,   132,   132,   132,   132
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     4,     5,     4,     5,    10,     9,    14,    13,
       4,     4,     4,     5,     4,     5,     4,     6,     5,     3,
       2,    13,     1,     1,     1,     4,     4,     5,     0,     4,
       4,     4,     8,     0,     4,     4,     4,     8,     0,    14,
      14,    14,    14,    14,    20,     4,     6,    12,    11,    12,
      11,    12,    11,    12,    11,    12,    11,    17,    14,     0,
      11,     5,     0,     2,     0,     3,     5,     3,     2,     3,
       1,    15,    21,    17,    25,    21,    23,     2,     4,     9,
       7,     5,     3,     1,     1,     5,     5,     6,     5,     5,
       6,     3,     1,     2,     3,     1,    10,     0,     8,     7,
       8,     0,     5,    11,     0,     5,    11,     0,     5,    11,
       0,     3,     3,     3,     3,     3,     2,     1,     1,     3,
       3,     3,     3,     3,     2,     1,     1,    10,     9,     3,
       3,     3,     3,     3,     2,     1,     5,     3,     3,     3,
       3,     3,     4,     4,     4,     4,     4,     3,     2,     1,
       5,     3,     3,     3,     3,     3,     4,     4,     4,     4,
       4,     3,     2,     1,     5,     3,     3,     3,     3,     3,
       4,     4,     4,     4,     4,     3,     2,     1,     5,     3,
       3,     3,     3,     3,     4,     4,     4,     4,     4,     3,
       2,     1,     1,     3,     3,     3,     3,     2,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 108 "modelParser.y" /* yacc.c:1646  */
    {
	int mkres = mkdir(outputDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for output files.\n");
		exit(1);
	}

	mkres = mkdir(imageDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for images.\n");
		exit(1);
	}

	clock_t begin, end;
	begin = clock();
	continuousProblem.run();
	end = clock();
	printf("%ld flowpipes computed.\n", continuousProblem.numOfFlowpipes());
	printf("time cost: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);
	
	continuousProblem.bSafetyChecking = false;

	printf("Preparing for plotting and dumping...\n");
	continuousProblem.composition();
	printf("Done.\n");

	continuousProblem.plot_2D();

	char filename[NAME_SIZE+10];
	sprintf(filename, "%s%s.flow", outputDir, continuousProblem.outputFileName);
	FILE *fpDumping = fopen(filename, "w");

	if(fpDumping == NULL)
	{
		printf("Can not create the dumping file.\n");
		exit(1);
	}
	
	printf("Dumping the Taylor model flowpipes...\n");
	continuousProblem.dump(fpDumping);
	printf("Done.\n");

	fclose(fpDumping);
}
#line 1937 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 156 "modelParser.y" /* yacc.c:1646  */
    {
	int mkres = mkdir(outputDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for output files.\n");
		exit(1);
	}

	mkres = mkdir(imageDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for images.\n");
		exit(1);
	}

	clock_t begin, end;
	begin = clock();
	continuousProblem.run();
	end = clock();
	printf("%ld flowpipes computed.\n", continuousProblem.numOfFlowpipes());
	printf("time cost: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);

	continuousProblem.bSafetyChecking = true;

	printf("Preparing for plotting and dumping...\n");
	continuousProblem.composition();
	printf("Done.\n");

	continuousProblem.plot_2D();

	char filename[NAME_SIZE+10];
	sprintf(filename, "%s%s.flow", outputDir, continuousProblem.outputFileName);
	FILE *fpDumping = fopen(filename, "w");

	if(fpDumping == NULL)
	{
		printf("Can not create the dumping file.\n");
		exit(1);
	}
	
	printf("Dumping the Taylor model flowpipes...\n");
	continuousProblem.dump(fpDumping);
	printf("Done.\n");

	fclose(fpDumping);

	int checkingResult;
	printf("Safety checking ...\n");
	begin = clock();
	checkingResult = continuousProblem.safetyChecking();
	end = clock();
	printf("Done.\n");
	printf("time cost for safety checking: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);
	printf("Result: ");

	switch(checkingResult)
	{
	case UNSAFE:
		printf("UNSAFE\n");
		break;
	case SAFE:
		printf("SAFE\n");
		break;
	case UNKNOWN:
		printf("UNKNOWN\n");
		break;
	}
}
#line 2010 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 4:
#line 226 "modelParser.y" /* yacc.c:1646  */
    {
	int mkres = mkdir(outputDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for output files.\n");
		exit(1);
	}

	mkres = mkdir(imageDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for images.\n");
		exit(1);
	}

	clock_t begin, end;
	begin = clock();
	hybridProblem.run();
	end = clock();
	printf("%ld flowpipes computed.\n", hybridProblem.numOfFlowpipes());
	printf("time cost: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);

	hybridProblem.bSafetyChecking = false;

	printf("Preparing for plotting and dumping...\n");
	printf("Done.\n");

	hybridProblem.plot_2D();

	char filename[NAME_SIZE+10];
	sprintf(filename, "%s%s.flow", outputDir, hybridProblem.outputFileName);
	FILE *fpDumping = fopen(filename, "w");

	if(fpDumping == NULL)
	{
		printf("Can not create the dumping file.\n");
		exit(1);
	}

	printf("Dumping the Taylor model flowpipes...\n");
	hybridProblem.dump(fpDumping);
	printf("Done.\n");

	fclose(fpDumping);
}
#line 2060 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 5:
#line 273 "modelParser.y" /* yacc.c:1646  */
    {
	int mkres = mkdir(outputDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for output files.\n");
		exit(1);
	}

	mkres = mkdir(imageDir, S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH);
	if(mkres < 0 && errno != EEXIST)
	{
		printf("Can not create the directory for images.\n");
		exit(1);
	}

	clock_t begin, end;
	begin = clock();
	hybridProblem.run();
	end = clock();
	printf("%ld flowpipes computed.\n", hybridProblem.numOfFlowpipes());
	printf("time cost: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);

	hybridProblem.bSafetyChecking = true;

	printf("Preparing for plotting and dumping...\n");
	printf("Done.\n");

	hybridProblem.plot_2D();

	char filename[NAME_SIZE+10];
	sprintf(filename, "%s%s.flow", outputDir, hybridProblem.outputFileName);
	FILE *fpDumping = fopen(filename, "w");

	if(fpDumping == NULL)
	{
		printf("Can not create the dumping file.\n");
		exit(1);
	}
	
	printf("Dumping the Taylor model flowpipes...\n");
	hybridProblem.dump(fpDumping);
	printf("Done.\n");

	fclose(fpDumping);

	int checkingResult;
	printf("Safety checking ...\n");
	begin = clock();
	checkingResult = hybridProblem.safetyChecking();
	end = clock();
	printf("Done.\n");
	printf("time cost for safety checking: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);
	printf("Result: ");

	switch(checkingResult)
	{
	case UNSAFE:
		printf("UNSAFE\n");
		break;
	case SAFE:
		printf("SAFE\n");
		break;
	case UNKNOWN:
		printf("UNKNOWN\n");
		break;
	}
}
#line 2132 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 6:
#line 342 "modelParser.y" /* yacc.c:1646  */
    {
	clock_t begin, end;
	strcpy(continuousProblem.outputFileName, (yyvsp[-6].identifier)->c_str());

	continuousProblem.plot_2D();

	int checkingResult;
	printf("Safety checking ...\n");
	begin = clock();
	checkingResult = continuousProblem.safetyChecking();
	end = clock();
	printf("Done.\n");
	printf("time cost for safety checking: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);
	printf("Result: ");

	switch(checkingResult)
	{
	case UNSAFE:
		printf("UNSAFE\n");
		break;
	case SAFE:
		printf("SAFE\n");
		break;
	case UNKNOWN:
		printf("UNKNOWN\n");
		break;
	}
}
#line 2165 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 7:
#line 372 "modelParser.y" /* yacc.c:1646  */
    {
	strcpy(continuousProblem.outputFileName, (yyvsp[-5].identifier)->c_str());
	continuousProblem.plot_2D();
}
#line 2174 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 378 "modelParser.y" /* yacc.c:1646  */
    {
	clock_t begin, end;
	strcpy(hybridProblem.outputFileName, (yyvsp[-5].identifier)->c_str());
	generateNodeSeq(hybridProblem.traceNodes, hybridProblem.traceTree);

	hybridProblem.plot_2D();

	int checkingResult;
	printf("Safety checking ...\n");
	begin = clock();
	checkingResult = hybridProblem.safetyChecking();
	end = clock();
	printf("Done.\n");
	printf("time cost for safety checking: %lf\n", (double)(end - begin) / CLOCKS_PER_SEC);
	printf("Result: ");

	switch(checkingResult)
	{
	case UNSAFE:
		printf("UNSAFE\n");
		break;
	case SAFE:
		printf("SAFE\n");
		break;
	case UNKNOWN:
		printf("UNKNOWN\n");
		break;
	}

	delete (yyvsp[-5].identifier);
}
#line 2210 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 9:
#line 411 "modelParser.y" /* yacc.c:1646  */
    {
	strcpy(hybridProblem.outputFileName, (yyvsp[-4].identifier)->c_str());
	generateNodeSeq(hybridProblem.traceNodes, hybridProblem.traceTree);
	hybridProblem.plot_2D();

	delete (yyvsp[-4].identifier);
}
#line 2222 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 420 "modelParser.y" /* yacc.c:1646  */
    {
	(yyvsp[-1].ptm)->getExpansion(parseResult.expansion);
	parseResult.remainder = (yyvsp[-1].ptm)->getRemainder();
	delete (yyvsp[-1].ptm);
}
#line 2232 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 427 "modelParser.y" /* yacc.c:1646  */
    {
	parseResult.remainder = (*(yyvsp[-1].pint));
	delete (yyvsp[-1].pint);
}
#line 2241 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 433 "modelParser.y" /* yacc.c:1646  */
    {
	parseResult.expansion = (*(yyvsp[-1].poly));
	delete (yyvsp[-1].poly);
}
#line 2250 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 440 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.flowpipesCompo.push_back(*(yyvsp[-2].tmVec));
	continuousProblem.domains.push_back(*(yyvsp[-1].intVec));

	delete (yyvsp[-2].tmVec);
	delete (yyvsp[-1].intVec);
}
#line 2262 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 449 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.flowpipesCompo.push_back(*(yyvsp[-2].tmVec));
	continuousProblem.domains.push_back(*(yyvsp[-1].intVec));

	delete (yyvsp[-2].tmVec);
	delete (yyvsp[-1].intVec);
}
#line 2274 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 15:
#line 459 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModelVec tmvDummy;
	vector<Interval> intVecDummy;
	hybridProblem.declareMode(*(yyvsp[-3].identifier), tmvDummy, intVecDummy, *(yyvsp[-1].vecConstraints), 0);

	delete (yyvsp[-3].identifier);
	delete (yyvsp[-1].vecConstraints);
}
#line 2287 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 16:
#line 469 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModelVec tmvDummy;
	vector<Interval> intVecDummy;
	hybridProblem.declareMode(*(yyvsp[-3].identifier), tmvDummy, intVecDummy, *(yyvsp[-1].vecConstraints), 0);

	delete (yyvsp[-3].identifier);
	delete (yyvsp[-1].vecConstraints);
}
#line 2300 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 480 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[-4].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-4].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.modeIDs.push_back(id);
	hybridProblem.flowpipesCompo.push_back(continuousProblem.flowpipesCompo);
	hybridProblem.domains.push_back(continuousProblem.domains);

	continuousProblem.flowpipesCompo.clear();
	continuousProblem.domains.clear();
	continuousProblem.tmVarTab.clear();
	continuousProblem.tmVarNames.clear();
}
#line 2324 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 501 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[-4].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-4].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.modeIDs.push_back(id);
	hybridProblem.flowpipesCompo.push_back(continuousProblem.flowpipesCompo);
	hybridProblem.domains.push_back(continuousProblem.domains);

	continuousProblem.flowpipesCompo.clear();
	continuousProblem.domains.clear();
	continuousProblem.tmVarTab.clear();
	continuousProblem.tmVarNames.clear();
}
#line 2348 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 523 "modelParser.y" /* yacc.c:1646  */
    {
}
#line 2355 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 527 "modelParser.y" /* yacc.c:1646  */
    {
}
#line 2362 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 532 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[0].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	list<TreeNode *>::iterator iter = (yyval.pNode)->children.begin();
	bool found = false;
	for(; iter!=(yyval.pNode)->children.end(); ++iter)
	{
		if((*iter)->jumpID == (yyvsp[-10].dblVal) && (*iter)->modeID == id)
		{
			(yyval.pNode) = *iter;
			found = true;
			break;
		}
	}

	if(!found)
	{
		Interval I((yyvsp[-7].dblVal), (yyvsp[-5].dblVal));
		TreeNode *tmp = new TreeNode((int)(yyvsp[-10].dblVal), id, I);
		tmp->parent = (yyval.pNode);
		(yyval.pNode)->children.push_back(tmp);
		(yyval.pNode) = tmp;
	}

	delete (yyvsp[0].identifier);
}
#line 2400 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 567 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[0].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(hybridProblem.traceTree == NULL)
	{
		Interval intZero;
		hybridProblem.traceTree = new TreeNode(0, id, intZero);
		(yyval.pNode) = hybridProblem.traceTree;
	}
	else
	{
		if(hybridProblem.traceTree->modeID == id)
		{
			(yyval.pNode) = hybridProblem.traceTree;
		}
		else
		{
			parseError("Invalid computation path.", lineNum);
			exit(1);
		}
	}

	delete (yyvsp[0].identifier);
}
#line 2436 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 601 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.bPrint = true;
	hybridProblem.bPrint = true;
}
#line 2445 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 607 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.bPrint = false;
	hybridProblem.bPrint = false;
}
#line 2454 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 614 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.unsafeSet = *(yyvsp[-1].vecConstraints);
	delete (yyvsp[-1].vecConstraints);
}
#line 2463 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 621 "modelParser.y" /* yacc.c:1646  */
    {
}
#line 2470 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 626 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[-3].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-3].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.unsafeSet[id] = *(yyvsp[-1].vecConstraints);
	hybridProblem.bVecUnderCheck[id] = true;
	delete (yyvsp[-1].vecConstraints);
}
#line 2489 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 641 "modelParser.y" /* yacc.c:1646  */
    {
	vector<PolynomialConstraint> vecEmpty;
	for(int i=0; i<hybridProblem.modeNames.size(); ++i)
	{
		hybridProblem.unsafeSet.push_back(vecEmpty);
		hybridProblem.bVecUnderCheck.push_back(false);
	}
}
#line 2502 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 652 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-2].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	(yyval.vecConstraints) = (yyvsp[-3].vecConstraints);
	Interval B((yyvsp[0].dblVal));
	PolynomialConstraint pc(*(yyvsp[-2].poly), B);
	(yyval.vecConstraints)->push_back(pc);

	delete (yyvsp[-2].poly);
}
#line 2521 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 668 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-2].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	(yyval.vecConstraints) = (yyvsp[-3].vecConstraints);
	Interval I(-1);
	(yyvsp[-2].poly)->mul_assign(I);

	Interval B(-(yyvsp[0].dblVal));
	PolynomialConstraint pc(*(yyvsp[-2].poly), B);
	(yyval.vecConstraints)->push_back(pc);

	delete (yyvsp[-2].poly);
}
#line 2543 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 687 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-2].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	(yyval.vecConstraints) = (yyvsp[-3].vecConstraints);
	Interval B((yyvsp[0].dblVal));
	PolynomialConstraint pc1(*(yyvsp[-2].poly), B);
	(yyval.vecConstraints)->push_back(pc1);

	Interval I(-1);
	(yyvsp[-2].poly)->mul_assign(I);
	Interval mB(-(yyvsp[0].dblVal));
	PolynomialConstraint pc2(*(yyvsp[-2].poly), mB);
	(yyval.vecConstraints)->push_back(pc2);

	delete (yyvsp[-2].poly);
}
#line 2568 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 709 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-6].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	PolynomialConstraint pc1(*(yyvsp[-6].poly), (yyvsp[-1].dblVal));
	(yyval.vecConstraints)->push_back(pc1);

	Interval I(-1);
	(yyvsp[-6].poly)->mul_assign(I);
	PolynomialConstraint pc2(*(yyvsp[-6].poly), -(yyvsp[-3].dblVal));
	(yyval.vecConstraints)->push_back(pc2);

	delete (yyvsp[-6].poly);
}
#line 2590 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 727 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.vecConstraints) = new vector<PolynomialConstraint>(0);
}
#line 2598 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 733 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-2].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	(yyval.vecConstraints) = (yyvsp[-3].vecConstraints);
	Interval B((yyvsp[0].dblVal));
	PolynomialConstraint pc(*(yyvsp[-2].poly), B);
	(yyval.vecConstraints)->push_back(pc);

	delete (yyvsp[-2].poly);
}
#line 2617 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 749 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-2].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	(yyval.vecConstraints) = (yyvsp[-3].vecConstraints);
	Interval I(-1);
	(yyvsp[-2].poly)->mul_assign(I);

	Interval B(-(yyvsp[0].dblVal));
	PolynomialConstraint pc(*(yyvsp[-2].poly), B);
	(yyval.vecConstraints)->push_back(pc);

	delete (yyvsp[-2].poly);
}
#line 2639 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 768 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-2].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	(yyval.vecConstraints) = (yyvsp[-3].vecConstraints);
	Interval B((yyvsp[0].dblVal));
	PolynomialConstraint pc1(*(yyvsp[-2].poly), B);
	(yyval.vecConstraints)->push_back(pc1);

	Interval I(-1);
	(yyvsp[-2].poly)->mul_assign(I);
	Interval mB(-(yyvsp[0].dblVal));
	PolynomialConstraint pc2(*(yyvsp[-2].poly), mB);
	(yyval.vecConstraints)->push_back(pc2);

	delete (yyvsp[-2].poly);
}
#line 2664 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 37:
#line 790 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-6].poly)->degree() < 1)
	{
		parseError("Invalid constraint.", lineNum);
		exit(1);
	}

	PolynomialConstraint pc1(*(yyvsp[-6].poly), (yyvsp[-1].dblVal));
	(yyval.vecConstraints)->push_back(pc1);

	Interval I(-1);
	(yyvsp[-6].poly)->mul_assign(I);
	PolynomialConstraint pc2(*(yyvsp[-6].poly), -(yyvsp[-3].dblVal));
	(yyval.vecConstraints)->push_back(pc2);

	delete (yyvsp[-6].poly);
}
#line 2686 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 38:
#line 808 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.vecConstraints) = new vector<PolynomialConstraint>(0);
}
#line 2694 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 39:
#line 814 "modelParser.y" /* yacc.c:1646  */
    {
	ContinuousSystem system(*(yyvsp[-5].tmVec), gUncertainties, *(yyvsp[-1].pFlowpipe));
	continuousProblem.system = system;
	continuousProblem.integrationScheme = ONLY_PICARD;

	delete (yyvsp[-5].tmVec);
	delete (yyvsp[-1].pFlowpipe);
}
#line 2707 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 40:
#line 824 "modelParser.y" /* yacc.c:1646  */
    {
	ContinuousSystem system(*(yyvsp[-5].tmVec), gUncertainties, *(yyvsp[-1].pFlowpipe));
	continuousProblem.system = system;
	continuousProblem.integrationScheme = LOW_DEGREE;

	delete (yyvsp[-5].tmVec);
	delete (yyvsp[-1].pFlowpipe);
}
#line 2720 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 41:
#line 834 "modelParser.y" /* yacc.c:1646  */
    {
	ContinuousSystem system(*(yyvsp[-5].tmVec), gUncertainties, *(yyvsp[-1].pFlowpipe));
	continuousProblem.system = system;
	continuousProblem.integrationScheme = HIGH_DEGREE;

	delete (yyvsp[-5].tmVec);
	delete (yyvsp[-1].pFlowpipe);
}
#line 2733 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 42:
#line 844 "modelParser.y" /* yacc.c:1646  */
    {
	ContinuousSystem system(*(yyvsp[-5].strVec), gUncertainties, *(yyvsp[-1].pFlowpipe));
	continuousProblem.system = system;
	continuousProblem.integrationScheme = NONPOLY_TAYLOR;

	delete (yyvsp[-5].strVec);
	delete (yyvsp[-1].pFlowpipe);
}
#line 2746 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 854 "modelParser.y" /* yacc.c:1646  */
    {
	ContinuousSystem system(*(yyvsp[-5].tmVec), gUncertainties, *(yyvsp[-1].pFlowpipe));
	continuousProblem.system = system;
	continuousProblem.integrationScheme = LINEAR;

	delete (yyvsp[-5].tmVec);
	delete (yyvsp[-1].pFlowpipe);
}
#line 2759 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 44:
#line 865 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-14].dblVal) < 0)
	{
		parseError("The maximum jump depth should be a nonnegative integer.", lineNum);
		exit(1);
	}

	hybridProblem.maxJumps = (int)(yyvsp[-14].dblVal);
}
#line 2773 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 45:
#line 877 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[-3].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-3].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	Interval intZero;
	Flowpipe initialSet(*(yyvsp[-1].intVec), intZero);
	hybridProblem.initialConfig(id, initialSet);

	int numVars = hybridProblem.stateVarNames.size();

	string tVar("local_t");
	hybridProblem.declareTMVar(tVar);
	continuousProblem.declareTMVar(tVar);

	char name[NAME_SIZE];

	for(int i=0; i<numVars; ++i)
	{
		sprintf(name, "%s%d", local_var_name, i+1);
		string tmVarName(name);
		hybridProblem.declareTMVar(tmVarName);
		continuousProblem.declareTMVar(tmVarName);
	}

	delete (yyvsp[-3].identifier);
	delete (yyvsp[-1].intVec);
}
#line 2811 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 46:
#line 912 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForMode(*(yyvsp[-5].identifier));
	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-5].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	Flowpipe initialSet(*(yyvsp[-2].tmVec), *(yyvsp[-1].intVec));
	hybridProblem.initialConfig(id, initialSet);

	delete (yyvsp[-2].tmVec);
	delete (yyvsp[-1].intVec);
}
#line 2832 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 47:
#line 931 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), ONLY_PICARD);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2844 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 48:
#line 940 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), ONLY_PICARD);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2856 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 49:
#line 949 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), LOW_DEGREE);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2868 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 958 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), LOW_DEGREE);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2880 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 51:
#line 967 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), HIGH_DEGREE);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2892 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 976 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), HIGH_DEGREE);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2904 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 53:
#line 985 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].strVec), gUncertainties, *(yyvsp[-2].vecConstraints), NONPOLY_TAYLOR);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].strVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2916 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 994 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].strVec), gUncertainties, *(yyvsp[-2].vecConstraints), NONPOLY_TAYLOR);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].strVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2928 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1003 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), LINEAR);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2940 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1012 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareMode(*(yyvsp[-10].identifier), *(yyvsp[-6].tmVec), gUncertainties, *(yyvsp[-2].vecConstraints), LINEAR);

	delete (yyvsp[-10].identifier);
	delete (yyvsp[-6].tmVec);
	delete (yyvsp[-2].vecConstraints);
}
#line 2952 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1022 "modelParser.y" /* yacc.c:1646  */
    {
	int startID = hybridProblem.getIDForMode(*(yyvsp[-15].identifier));
	if(startID < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-15].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	int endID = hybridProblem.getIDForMode(*(yyvsp[-12].identifier));
	if(endID < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-12].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-1].dVecVec)->size() > 0)
	{
		hybridProblem.declareTrans(startID, endID, *(yyvsp[-9].vecConstraints), *(yyvsp[-5].resetMap), PARA_AGGREG, *(yyvsp[-1].dVecVec));
	}
	else
	{
		vector<vector<double> > emptyVec;
		hybridProblem.declareTrans(startID, endID, *(yyvsp[-9].vecConstraints), *(yyvsp[-5].resetMap), PARA_AGGREG, emptyVec);
	}
}
#line 2986 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1053 "modelParser.y" /* yacc.c:1646  */
    {
	int startID = hybridProblem.getIDForMode(*(yyvsp[-12].identifier));
	if(startID < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-12].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	int endID = hybridProblem.getIDForMode(*(yyvsp[-9].identifier));
	if(endID < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "Mode %s has not been declared.", (*(yyvsp[-9].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	vector<vector<double> > empty;
	hybridProblem.declareTrans(startID, endID, *(yyvsp[-6].vecConstraints), *(yyvsp[-2].resetMap), INTERVAL_AGGREG, empty);
}
#line 3013 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1076 "modelParser.y" /* yacc.c:1646  */
    {
	hybridProblem.declareTrans();
}
#line 3021 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1082 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.resetMap) = (yyvsp[-10].resetMap);

	int id = hybridProblem.getIDForStateVar(*(yyvsp[-9].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-9].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid remainder interval.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	TaylorModel tmTemp(*(yyvsp[-6].poly), I);
	(yyval.resetMap)->tmvReset.tms[id] = tmTemp;

	delete (yyvsp[-6].poly);
}
#line 3051 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1109 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.resetMap) = (yyvsp[-4].resetMap);

	int id = hybridProblem.getIDForStateVar(*(yyvsp[-3].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-3].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	Interval intZero;
	TaylorModel tmTemp(*(yyvsp[0].poly), intZero);
	(yyval.resetMap)->tmvReset.tms[id] = tmTemp;

	delete (yyvsp[0].poly);
}
#line 3075 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1129 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = hybridProblem.stateVarNames.size();

	Matrix coefficients_identity_reset(numVars, numVars+1);

	for(int i=0; i<numVars; ++i)
	{
		coefficients_identity_reset.set(1, i, i+1);
	}

	TaylorModelVec tmvReset(coefficients_identity_reset);

	(yyval.resetMap) = new ResetMap(tmvReset);
}
#line 3094 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1146 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.dVecVec)->push_back(*(yyvsp[0].dVec));
	delete (yyvsp[0].dVec);
}
#line 3103 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1151 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.dVecVec) = new vector<vector<double> >(0);
}
#line 3111 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1157 "modelParser.y" /* yacc.c:1646  */
    {
	int rangeDim = (yyvsp[-1].dVec)->size();

	if(rangeDim != hybridProblem.stateVarNames.size())
	{
		parseError("The vector dimension should be equivalent to the system dimension.", lineNum);
		exit(1);
	}

	(yyval.dVec) = new vector<double>(0);

	for(int i=0; i<rangeDim; ++i)
	{
		(yyval.dVec)->push_back(0);
	}

	bool bZero = true;
	for(int i=0; i<rangeDim; ++i)
	{
		if((*(yyvsp[-1].dVec))[i] < -THRESHOLD_LOW || (*(yyvsp[-1].dVec))[i] > THRESHOLD_LOW)
		{
			if(bZero)
			{
				bZero = false;
			}
		}

		(*(yyval.dVec))[i] = (*(yyvsp[-1].dVec))[i];
	}

	if(bZero)
	{
		parseError("A template vector should not be zero.", lineNum);
		exit(1);
	}

	delete (yyvsp[-1].dVec);
}
#line 3154 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1198 "modelParser.y" /* yacc.c:1646  */
    {
	int id = hybridProblem.getIDForStateVar(*(yyvsp[-2].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(yyval.dVec) = (yyvsp[-4].dVec);
	(*(yyval.dVec))[id] = (yyvsp[0].dblVal);
	delete (yyvsp[-2].identifier);
}
#line 3174 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1215 "modelParser.y" /* yacc.c:1646  */
    {
	int num = hybridProblem.stateVarNames.size();
	(yyval.dVec) = new vector<double>(num);

	int id = hybridProblem.getIDForStateVar(*(yyvsp[-2].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(*(yyval.dVec))[id] = (yyvsp[0].dblVal);
	delete (yyvsp[-2].identifier);
}
#line 3196 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1235 "modelParser.y" /* yacc.c:1646  */
    {
}
#line 3203 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1240 "modelParser.y" /* yacc.c:1646  */
    {
	if(!continuousProblem.declareStateVar(*(yyvsp[0].identifier)))
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s has already been declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.declareStateVar(*(yyvsp[0].identifier));
	delete (yyvsp[0].identifier);
}
#line 3220 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1254 "modelParser.y" /* yacc.c:1646  */
    {
	if(!continuousProblem.declareStateVar(*(yyvsp[0].identifier)))
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s has already been declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.declareStateVar(*(yyvsp[0].identifier));
	delete (yyvsp[0].identifier);
}
#line 3237 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1269 "modelParser.y" /* yacc.c:1646  */
    {
	int order = (int)(yyvsp[-6].dblVal);

	if(order <= 0)
	{
		parseError("Orders should be larger than zero.", lineNum);
		exit(1);
	}

	continuousProblem.bAdaptiveSteps = false;
	continuousProblem.step = (yyvsp[-13].dblVal);
	continuousProblem.time = (yyvsp[-11].dblVal);
	continuousProblem.bAdaptiveOrders = false;
	continuousProblem.orderType = UNIFORM;
	continuousProblem.orders.push_back(order);
	continuousProblem.globalMaxOrder = order;

	hybridProblem.bAdaptiveSteps = false;
	hybridProblem.step = (yyvsp[-13].dblVal);
	hybridProblem.time = (yyvsp[-11].dblVal);
	hybridProblem.bAdaptiveOrders = false;
	hybridProblem.orderType = UNIFORM;
	hybridProblem.orders.push_back(order);
	hybridProblem.globalMaxOrder = order;

	if((yyvsp[-4].dblVal) <= 0)
	{
		parseError("The cutoff threshold should be a positive number.", lineNum);
		exit(1);
	}

	cutoff_threshold = (yyvsp[-4].dblVal);
	intervalNumPrecision = (int)(yyvsp[-2].dblVal);

	strcpy(continuousProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());
	strcpy(hybridProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());

	delete (yyvsp[0].identifier);
}
#line 3281 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1310 "modelParser.y" /* yacc.c:1646  */
    {
	int minOrder = (int)(yyvsp[-10].dblVal);
	int maxOrder = (int)(yyvsp[-7].dblVal);

	if(minOrder <= 0 || maxOrder <= 0)
	{
		parseError("Orders should be larger than zero.", lineNum);
		exit(1);
	}

	if(minOrder > maxOrder)
	{
		parseError("MAX order should be no smaller than MIN order.", lineNum);
		exit(1);
	}

	continuousProblem.bAdaptiveSteps = false;
	continuousProblem.step = (yyvsp[-19].dblVal);
	continuousProblem.time = (yyvsp[-17].dblVal);
	continuousProblem.bAdaptiveOrders = true;
	continuousProblem.orderType = UNIFORM;
	continuousProblem.orders.push_back(minOrder);
	continuousProblem.maxOrders.push_back(maxOrder);
	continuousProblem.globalMaxOrder = maxOrder;

	hybridProblem.bAdaptiveSteps = false;
	hybridProblem.step = (yyvsp[-19].dblVal);
	hybridProblem.time = (yyvsp[-17].dblVal);
	hybridProblem.bAdaptiveOrders = true;
	hybridProblem.orderType = UNIFORM;
	hybridProblem.orders.push_back(minOrder);
	hybridProblem.maxOrders.push_back(maxOrder);
	hybridProblem.globalMaxOrder = maxOrder;

	if((yyvsp[-4].dblVal) <= 0)
	{
		parseError("The cutoff threshold should be a positive number.", lineNum);
		exit(1);
	}

	cutoff_threshold = (yyvsp[-4].dblVal);
	intervalNumPrecision = (int)(yyvsp[-2].dblVal);

	strcpy(continuousProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());
	strcpy(hybridProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());

	delete (yyvsp[0].identifier);
}
#line 3334 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1360 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.bAdaptiveSteps = false;
	continuousProblem.step = (yyvsp[-15].dblVal);
	continuousProblem.time = (yyvsp[-13].dblVal);
	continuousProblem.bAdaptiveOrders = false;
	continuousProblem.orderType = MULTI;
	continuousProblem.orders = *(yyvsp[-7].iVec);

	hybridProblem.bAdaptiveSteps = false;
	hybridProblem.step = (yyvsp[-15].dblVal);
	hybridProblem.time = (yyvsp[-13].dblVal);
	hybridProblem.bAdaptiveOrders = false;
	hybridProblem.orderType = MULTI;
	hybridProblem.orders = *(yyvsp[-7].iVec);

	for(int i=0; i<(yyvsp[-7].iVec)->size(); ++i)
	{
		if((*(yyvsp[-7].iVec))[i] <= 0)
		{
			parseError("Orders should be larger than zero.", lineNum);
			exit(1);
		}
	}

	int maxOrder = (*(yyvsp[-7].iVec))[0];
	for(int i=1; i<(yyvsp[-7].iVec)->size(); ++i)
	{
		if(maxOrder < (*(yyvsp[-7].iVec))[i])
		{
			maxOrder = (*(yyvsp[-7].iVec))[i];
		}
	}

	continuousProblem.globalMaxOrder = maxOrder;
	hybridProblem.globalMaxOrder = maxOrder;

	if((yyvsp[-4].dblVal) <= 0)
	{
		parseError("The cutoff threshold should be a positive number.", lineNum);
		exit(1);
	}

	cutoff_threshold = (yyvsp[-4].dblVal);
	intervalNumPrecision = (int)(yyvsp[-2].dblVal);

	strcpy(continuousProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());
	strcpy(hybridProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());

	delete (yyvsp[-7].iVec);
	delete (yyvsp[0].identifier);
}
#line 3390 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1413 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.bAdaptiveSteps = false;
	continuousProblem.step = (yyvsp[-23].dblVal);
	continuousProblem.time = (yyvsp[-21].dblVal);
	continuousProblem.bAdaptiveOrders = true;
	continuousProblem.orderType = MULTI;
	continuousProblem.orders = *(yyvsp[-13].iVec);
	continuousProblem.maxOrders = *(yyvsp[-8].iVec);

	hybridProblem.bAdaptiveSteps = false;
	hybridProblem.step = (yyvsp[-23].dblVal);
	hybridProblem.time = (yyvsp[-21].dblVal);
	hybridProblem.bAdaptiveOrders = true;
	hybridProblem.orderType = MULTI;
	hybridProblem.orders = *(yyvsp[-13].iVec);
	hybridProblem.maxOrders = *(yyvsp[-8].iVec);

	if((yyvsp[-13].iVec)->size() != (yyvsp[-8].iVec)->size())
	{
		parseError("Orders are not properly specified.", lineNum);
		exit(1);
	}

	for(int i=0; i<(yyvsp[-8].iVec)->size(); ++i)
	{
		if((*(yyvsp[-13].iVec))[i] <= 0 || (*(yyvsp[-8].iVec))[i] <= 0)
		{
			parseError("Orders should be larger than zero.", lineNum);
			exit(1);
		}

		if((*(yyvsp[-13].iVec))[i] > (*(yyvsp[-8].iVec))[i])
		{
			parseError("MAX order should be no smaller than MIN order.", lineNum);
			exit(1);
		}
	}

	int maxOrder = (*(yyvsp[-8].iVec))[0];
	for(int i=1; i<(yyvsp[-8].iVec)->size(); ++i)
	{
		if(maxOrder < (*(yyvsp[-8].iVec))[i])
		{
			maxOrder = (*(yyvsp[-8].iVec))[i];
		}
	}

	continuousProblem.globalMaxOrder = maxOrder;
	hybridProblem.globalMaxOrder = maxOrder;

	if((yyvsp[-4].dblVal) <= 0)
	{
		parseError("The cutoff threshold should be a positive number.", lineNum);
		exit(1);
	}

	cutoff_threshold = (yyvsp[-4].dblVal);
	intervalNumPrecision = (int)(yyvsp[-2].dblVal);

	strcpy(continuousProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());
	strcpy(hybridProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());

	delete (yyvsp[-13].iVec);
	delete (yyvsp[-8].iVec);
	delete (yyvsp[0].identifier);
}
#line 3461 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1481 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-17].dblVal) > (yyvsp[-14].dblVal))
	{
		parseError("MIN step should be no larger than MAX step.", lineNum);
		exit(1);
	}

	int order = (int)(yyvsp[-6].dblVal);

	if(order <= 0)
	{
		parseError("Orders should be larger than zero.", lineNum);
		exit(1);
	}

	continuousProblem.bAdaptiveSteps = true;
	continuousProblem.step = (yyvsp[-14].dblVal);
	continuousProblem.miniStep = (yyvsp[-17].dblVal);
	continuousProblem.time = (yyvsp[-11].dblVal);
	continuousProblem.bAdaptiveOrders = false;
	continuousProblem.orderType = UNIFORM;
	continuousProblem.orders.push_back(order);
	continuousProblem.globalMaxOrder = order;

	hybridProblem.bAdaptiveSteps = true;
	hybridProblem.step = (yyvsp[-14].dblVal);
	hybridProblem.miniStep = (yyvsp[-17].dblVal);
	hybridProblem.time = (yyvsp[-11].dblVal);
	hybridProblem.bAdaptiveOrders = false;
	hybridProblem.orderType = UNIFORM;
	hybridProblem.orders.push_back(order);
	hybridProblem.globalMaxOrder = order;

	if((yyvsp[-4].dblVal) <= 0)
	{
		parseError("The cutoff threshold should be a positive number.", lineNum);
		exit(1);
	}

	cutoff_threshold = (yyvsp[-4].dblVal);
	intervalNumPrecision = (int)(yyvsp[-2].dblVal);

	strcpy(continuousProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());
	strcpy(hybridProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());

	delete (yyvsp[0].identifier);
}
#line 3513 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1530 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[-19].dblVal) > (yyvsp[-16].dblVal))
	{
		parseError("MIN step should be no larger than MAX step.", lineNum);
		exit(1);
	}

	for(int i=0; i<(yyvsp[-7].iVec)->size(); ++i)
	{
		if((*(yyvsp[-7].iVec))[i] <= 0)
		{
			parseError("Orders should be larger than zero.", lineNum);
			exit(1);
		}
	}

	continuousProblem.bAdaptiveSteps = true;
	continuousProblem.step = (yyvsp[-16].dblVal);
	continuousProblem.miniStep = (yyvsp[-19].dblVal);
	continuousProblem.time = (yyvsp[-13].dblVal);
	continuousProblem.bAdaptiveOrders = false;
	continuousProblem.orderType = MULTI;
	continuousProblem.orders = *(yyvsp[-7].iVec);

	hybridProblem.bAdaptiveSteps = true;
	hybridProblem.step = (yyvsp[-16].dblVal);
	hybridProblem.miniStep = (yyvsp[-19].dblVal);
	hybridProblem.time = (yyvsp[-13].dblVal);
	hybridProblem.bAdaptiveOrders = false;
	hybridProblem.orderType = MULTI;
	hybridProblem.orders = *(yyvsp[-7].iVec);

	int maxOrder = (*(yyvsp[-7].iVec))[0];
	for(int i=1; i<(yyvsp[-7].iVec)->size(); ++i)
	{
		if(maxOrder < (*(yyvsp[-7].iVec))[i])
		{
			maxOrder = (*(yyvsp[-7].iVec))[i];
		}
	}
	
	continuousProblem.globalMaxOrder = maxOrder;
	hybridProblem.globalMaxOrder = maxOrder;

	if((yyvsp[-4].dblVal) <= 0)
	{
		parseError("The cutoff threshold should be a positive number.", lineNum);
		exit(1);
	}

	cutoff_threshold = (yyvsp[-4].dblVal);
	intervalNumPrecision = (int)(yyvsp[-2].dblVal);

	strcpy(continuousProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());
	strcpy(hybridProblem.outputFileName, (*(yyvsp[0].identifier)).c_str());

	delete (yyvsp[-7].iVec);
	delete (yyvsp[0].identifier);
}
#line 3577 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1592 "modelParser.y" /* yacc.c:1646  */
    {
	if((yyvsp[0].dblVal) <= 0)
	{
		parseError("Remainder estimation should be a positive number.", lineNum);
		exit(1);
	}

	Interval I(-(yyvsp[0].dblVal), (yyvsp[0].dblVal));

	for(int i=0; i<continuousProblem.stateVarNames.size(); ++i)
	{
		continuousProblem.estimation.push_back(I);
		hybridProblem.estimation.push_back(I);
	}
}
#line 3597 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1609 "modelParser.y" /* yacc.c:1646  */
    {
	for(int i=0; i<(yyvsp[-1].intVec)->size(); ++i)
	{
		if((*(yyvsp[-1].intVec))[i].inf() >= (*(yyvsp[-1].intVec))[i].sup() - THRESHOLD_LOW)
		{
			parseError("Invalid remainder estimation.", lineNum);
			exit(1);
		}
	}

	continuousProblem.estimation = *(yyvsp[-1].intVec);
	hybridProblem.estimation = *(yyvsp[-1].intVec);
	delete (yyvsp[-1].intVec);
}
#line 3616 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1626 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.intVec) = (yyvsp[-8].intVec);
	int id = continuousProblem.getIDForStateVar(*(yyvsp[-6].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-6].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) >= (yyvsp[-1].dblVal))
	{
		parseError("Invalid remainder estimation.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	(*(yyval.intVec))[id] = I;
	delete (yyvsp[-6].identifier);
}
#line 3643 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1650 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size();
	(yyval.intVec) = new vector<Interval>(numVars);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-6].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-6].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) >= (yyvsp[-1].dblVal))
	{
		parseError("Invalid remainder estimation.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	(*(yyval.intVec))[id] = I;
	delete (yyvsp[-6].identifier);
}
#line 3672 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1677 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.iVec) = (yyvsp[-4].iVec);
	int id = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(*(yyval.iVec))[id] = (int)(yyvsp[0].dblVal);
	delete (yyvsp[-2].identifier);
}
#line 3692 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1694 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size();
	(yyval.iVec) = new vector<int>(numVars);
	for(int i=0; i<numVars; ++i)
	{
		(*(yyval.iVec))[i] = 0;
	}

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(*(yyval.iVec))[id] = (int)(yyvsp[0].dblVal);
	delete (yyvsp[-2].identifier);
}
#line 3718 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1718 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.precondition = QR_PRE;
	hybridProblem.precondition = QR_PRE;
}
#line 3727 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1724 "modelParser.y" /* yacc.c:1646  */
    {
	continuousProblem.precondition = ID_PRE;
	hybridProblem.precondition = ID_PRE;
}
#line 3736 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1731 "modelParser.y" /* yacc.c:1646  */
    {
	int x = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));
	int y = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(x < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(y < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	continuousProblem.outputAxes.push_back(x);
	continuousProblem.outputAxes.push_back(y);
	continuousProblem.plotSetting = PLOT_INTERVAL;
	continuousProblem.plotFormat = PLOT_GNUPLOT;

	hybridProblem.outputAxes.push_back(x);
	hybridProblem.outputAxes.push_back(y);
	hybridProblem.plotSetting = PLOT_INTERVAL;
	hybridProblem.plotFormat = PLOT_GNUPLOT;

	delete (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 3774 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1766 "modelParser.y" /* yacc.c:1646  */
    {
	int x = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));
	int y = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(x < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State Variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(y < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	continuousProblem.outputAxes.push_back(x);
	continuousProblem.outputAxes.push_back(y);
	continuousProblem.plotSetting = PLOT_OCTAGON;
	continuousProblem.plotFormat = PLOT_GNUPLOT;

	hybridProblem.outputAxes.push_back(x);
	hybridProblem.outputAxes.push_back(y);
	hybridProblem.plotSetting = PLOT_OCTAGON;
	hybridProblem.plotFormat = PLOT_GNUPLOT;

	delete (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 3812 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1801 "modelParser.y" /* yacc.c:1646  */
    {
	int x = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));
	int y = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(x < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(y < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	continuousProblem.outputAxes.push_back(x);
	continuousProblem.outputAxes.push_back(y);
	continuousProblem.plotSetting = PLOT_GRID;
	continuousProblem.numSections = (int)(yyvsp[-3].dblVal);
	continuousProblem.plotFormat = PLOT_GNUPLOT;

	hybridProblem.outputAxes.push_back(x);
	hybridProblem.outputAxes.push_back(y);
	hybridProblem.plotSetting = PLOT_GRID;
	hybridProblem.numSections = (int)(yyvsp[-3].dblVal);
	hybridProblem.plotFormat = PLOT_GNUPLOT;

	delete (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 3852 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1838 "modelParser.y" /* yacc.c:1646  */
    {
	int x = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));
	int y = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(x < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(y < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	continuousProblem.outputAxes.push_back(x);
	continuousProblem.outputAxes.push_back(y);
	continuousProblem.plotSetting = PLOT_INTERVAL;
	continuousProblem.plotFormat = PLOT_MATLAB;

	hybridProblem.outputAxes.push_back(x);
	hybridProblem.outputAxes.push_back(y);
	hybridProblem.plotSetting = PLOT_INTERVAL;
	hybridProblem.plotFormat = PLOT_MATLAB;

	delete (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 3890 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1873 "modelParser.y" /* yacc.c:1646  */
    {
	int x = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));
	int y = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(x < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State Variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(y < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	continuousProblem.outputAxes.push_back(x);
	continuousProblem.outputAxes.push_back(y);
	continuousProblem.plotSetting = PLOT_OCTAGON;
	continuousProblem.plotFormat = PLOT_MATLAB;

	hybridProblem.outputAxes.push_back(x);
	hybridProblem.outputAxes.push_back(y);
	hybridProblem.plotSetting = PLOT_OCTAGON;
	hybridProblem.plotFormat = PLOT_MATLAB;

	delete (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 3928 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1908 "modelParser.y" /* yacc.c:1646  */
    {
	int x = continuousProblem.getIDForStateVar(*(yyvsp[-2].identifier));
	int y = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(x < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-2].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if(y < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	continuousProblem.outputAxes.push_back(x);
	continuousProblem.outputAxes.push_back(y);
	continuousProblem.plotSetting = PLOT_GRID;
	continuousProblem.numSections = (int)(yyvsp[-3].dblVal);
	continuousProblem.plotFormat = PLOT_MATLAB;

	hybridProblem.outputAxes.push_back(x);
	hybridProblem.outputAxes.push_back(y);
	hybridProblem.plotSetting = PLOT_GRID;
	hybridProblem.numSections = (int)(yyvsp[-3].dblVal);
	hybridProblem.plotFormat = PLOT_MATLAB;

	delete (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 3968 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1946 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pFlowpipe) = new Flowpipe(*(yyvsp[-1].tmVec), *(yyvsp[0].intVec));

	delete (yyvsp[-1].tmVec);
	delete (yyvsp[0].intVec);
}
#line 3979 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1954 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intZero;
	(yyval.pFlowpipe) = new Flowpipe(*(yyvsp[0].intVec), intZero);

	delete (yyvsp[0].intVec);
}
#line 3990 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1962 "modelParser.y" /* yacc.c:1646  */
    {
}
#line 3997 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1967 "modelParser.y" /* yacc.c:1646  */
    {
	if(!continuousProblem.declareTMVar(*(yyvsp[0].identifier)))
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "TM variable %s has already been declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.declareTMVar(*(yyvsp[0].identifier));
	delete (yyvsp[0].identifier);
}
#line 4014 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1981 "modelParser.y" /* yacc.c:1646  */
    {
	string tVar("local_t");
	continuousProblem.declareTMVar(tVar);
	hybridProblem.declareTMVar(tVar);

	if(!continuousProblem.declareTMVar(*(yyvsp[0].identifier)))
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "TM variable %s has already been declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	hybridProblem.declareTMVar(*(yyvsp[0].identifier));
	delete (yyvsp[0].identifier);
}
#line 4035 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 96:
#line 2000 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[-8].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-8].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval remainder.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	TaylorModel tmTemp(*(yyvsp[-6].poly), I);
	(yyval.tmVec) = (yyvsp[-9].tmVec);
	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-8].identifier);
	delete (yyvsp[-6].poly);
}
#line 4065 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 97:
#line 2026 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmEmpty;
	(yyval.tmVec) = new TaylorModelVec;

	for(int i=0; i<continuousProblem.stateVarNames.size(); ++i)
	{
		(yyval.tmVec)->tms.push_back(tmEmpty);
	}
}
#line 4079 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 98:
#line 2038 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForTMVar(*(yyvsp[-6].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "TM variable %s is not declared.", (*(yyvsp[-6].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	(yyval.intVec) = (yyvsp[-7].intVec);
	(*(yyval.intVec))[id] = I;

	delete (yyvsp[-6].identifier);
}
#line 4107 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 2063 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.intVec) = new vector<Interval>( continuousProblem.tmVarNames.size() );

	Interval intZero;
	(*(yyval.intVec))[0] = intZero;

	int id = continuousProblem.getIDForTMVar(*(yyvsp[-6].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "TM variable %s is not declared.", (*(yyvsp[-6].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	(*(yyval.intVec))[id] = I;

	delete (yyvsp[-6].identifier);
}
#line 4139 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 2093 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[-6].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-6].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	(yyval.intVec) = (yyvsp[-7].intVec);
	(*(yyval.intVec))[id] = I;

	delete (yyvsp[-6].identifier);
}
#line 4167 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 2117 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size();
	(yyval.intVec) = new vector<Interval>(numVars);

	string tVar("local_t");
	continuousProblem.declareTMVar(tVar);

	char name[NAME_SIZE];

	for(int i=0; i<numVars; ++i)
	{
		sprintf(name, "%s%d", local_var_name, i+1);
		string tmVarName(name);
		continuousProblem.declareTMVar(tmVarName);
	}
}
#line 4188 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 2136 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.tmVec) = (yyvsp[-4].tmVec);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-3].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-3].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	Interval intZero;
	TaylorModel tmTemp(*(yyvsp[0].poly), intZero);
	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-3].identifier);
	delete (yyvsp[0].poly);
}
#line 4213 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 2158 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.tmVec) = (yyvsp[-10].tmVec);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-9].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-9].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval", lineNum);
		exit(1);
	}

	Interval uncertainty((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	gUncertainties[id] = uncertainty;

	Interval intZero;
	TaylorModel tmTemp(*(yyvsp[-6].poly), intZero);
	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-9].identifier);
	delete (yyvsp[-6].poly);
}
#line 4247 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 2188 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size();

	(yyval.tmVec) = new TaylorModelVec;
	TaylorModel tmTemp;
	Interval intZero;

	gUncertainties.clear();

	for(int i=0; i<numVars; ++i)
	{
		(yyval.tmVec)->tms.push_back(tmTemp);
		gUncertainties.push_back(intZero);
	}
}
#line 4267 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 2206 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.strVec) = (yyvsp[-4].strVec);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-3].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-3].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(*(yyval.strVec))[id] = (*(yyvsp[0].identifier));

	delete (yyvsp[-3].identifier);
	delete (yyvsp[0].identifier);
}
#line 4290 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 2226 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.strVec) = (yyvsp[-10].strVec);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-9].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-9].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(*(yyval.strVec))[id] = (*(yyvsp[-6].identifier));

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval", lineNum);
		exit(1);
	}

	Interval uncertainty((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	gUncertainties[id] = uncertainty;

	delete (yyvsp[-9].identifier);
	delete (yyvsp[-6].identifier);
}
#line 4322 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 2254 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size();
	(yyval.strVec) = new vector<string>;

	string empty;
	Interval intZero;

	gUncertainties.clear();

	for(int i=0; i<numVars; ++i)
	{
		(yyval.strVec)->push_back(empty);
		gUncertainties.push_back(intZero);
	}
}
#line 4342 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 2272 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.tmVec) = (yyvsp[-4].tmVec);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-3].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-3].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	Interval intZero;
	TaylorModel tmTemp(*(yyvsp[0].poly), intZero);
	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-3].identifier);
	delete (yyvsp[0].poly);
}
#line 4367 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 2294 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.tmVec) = (yyvsp[-10].tmVec);

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-9].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-9].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval", lineNum);
		exit(1);
	}

	Interval uncertainty((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	gUncertainties[id] = uncertainty;

	Interval intZero;
	TaylorModel tmTemp(*(yyvsp[-6].poly), intZero);
	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-9].identifier);
	delete (yyvsp[-6].poly);
}
#line 4401 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 2324 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size();

	(yyval.tmVec) = new TaylorModelVec;
	TaylorModel tmTemp;
	Interval intZero;

	gUncertainties.clear();

	for(int i=0; i<numVars; ++i)
	{
		(yyval.tmVec)->tms.push_back(tmTemp);
		gUncertainties.push_back(intZero);
	}
}
#line 4421 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 2342 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) += (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4432 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 2350 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) -= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4443 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 2358 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-1].poly); 
}
#line 4451 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 114:
#line 2363 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) *= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4462 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 115:
#line 2371 "modelParser.y" /* yacc.c:1646  */
    {
	int exp = (int) (yyvsp[0].dblVal);

	if(exp == 0)
	{
		Interval I(1);
		(yyval.poly) = new Polynomial(I, continuousProblem.tmVarNames.size());
	}
	else
	{
		(yyval.poly) = new Polynomial(*(yyvsp[-2].poly));

		for(int i=1; i<exp; ++i)
		{
			(*(yyval.poly)) *= (*(yyvsp[-2].poly));
		}
	}

	delete (yyvsp[-2].poly);
}
#line 4487 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 116:
#line 2393 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I(-1);
	(yyval.poly) = (yyvsp[0].poly);
	(yyval.poly)->mul_assign(I);
}
#line 4497 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 117:
#line 2400 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForTMVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "TM variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	int numVars = continuousProblem.tmVarNames.size();
	Interval I(1);

	vector<int> degrees;
	for(int i=0; i<numVars; ++i)
	{
		degrees.push_back(0);
	}

	degrees[id] = 1;
	Monomial monomial(I, degrees);

	(yyval.poly) = new Polynomial(monomial);
	delete (yyvsp[0].identifier);
}
#line 4528 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 118:
#line 2428 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.tmVarNames.size();
	Interval I((yyvsp[0].dblVal));
	(yyval.poly) = new Polynomial(I, numVars);
}
#line 4538 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 119:
#line 2436 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) += (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4549 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 120:
#line 2444 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) -= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4560 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 121:
#line 2452 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-1].poly); 
}
#line 4568 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 122:
#line 2457 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) *= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4579 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 123:
#line 2465 "modelParser.y" /* yacc.c:1646  */
    {
	int exp = (int) (yyvsp[0].dblVal);

	if(exp == 0)
	{
		Interval I(1);
		(yyval.poly) = new Polynomial(I, continuousProblem.stateVarNames.size()+1);
	}
	else
	{
		(yyval.poly) = new Polynomial(*(yyvsp[-2].poly));

		for(int i=1; i<exp; ++i)
		{
			(*(yyval.poly)) *= (*(yyvsp[-2].poly));
		}
	}

	delete (yyvsp[-2].poly);
}
#line 4604 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 124:
#line 2487 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I(-1);
	(yyval.poly) = (yyvsp[0].poly);
	(yyval.poly)->mul_assign(I);
}
#line 4614 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 125:
#line 2494 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	int numVars = continuousProblem.stateVarNames.size()+1;
	Interval I(1);

	vector<int> degrees;
	for(int i=0; i<numVars; ++i)
	{
		degrees.push_back(0);
	}

	degrees[id+1] = 1;
	Monomial monomial(I, degrees);

	(yyval.poly) = new Polynomial(monomial);
	delete (yyvsp[0].identifier);
}
#line 4645 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 126:
#line 2522 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size()+1;
	Interval I((yyvsp[0].dblVal));
	(yyval.poly) = new Polynomial(I, numVars);
}
#line 4655 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 2530 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[-8].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-8].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval remainder.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	TaylorModel tmTemp(*(yyvsp[-6].poly), I);
	(yyval.tmVec) = (yyvsp[-9].tmVec);
	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-8].identifier);
	delete (yyvsp[-6].poly);
}
#line 4685 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 2557 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmEmpty;
	(yyval.tmVec) = new TaylorModelVec;

	for(int i=0; i<continuousProblem.stateVarNames.size(); ++i)
	{
		(yyval.tmVec)->tms.push_back(tmEmpty);
	}

	int id = continuousProblem.getIDForStateVar(*(yyvsp[-8].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[-8].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	if((yyvsp[-3].dblVal) > (yyvsp[-1].dblVal))
	{
		parseError("Invalid interval remainder.", lineNum);
		exit(1);
	}

	Interval I((yyvsp[-3].dblVal),(yyvsp[-1].dblVal));
	TaylorModel tmTemp(*(yyvsp[-6].poly), I);

	(yyval.tmVec)->tms[id] = tmTemp;

	delete (yyvsp[-8].identifier);
	delete (yyvsp[-6].poly);
}
#line 4723 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 2593 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) += (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4734 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 2601 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) -= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4745 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 2609 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-1].poly); 
}
#line 4753 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 132:
#line 2614 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) *= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 4764 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 133:
#line 2622 "modelParser.y" /* yacc.c:1646  */
    {
	int exp = (int) (yyvsp[0].dblVal);

	if(exp == 0)
	{
		Interval I(1);
		(yyval.poly) = new Polynomial(I, continuousProblem.tmVarNames.size());
	}
	else
	{
		(yyval.poly) = new Polynomial(*(yyvsp[-2].poly));

		for(int i=1; i<exp; ++i)
		{
			(*(yyval.poly)) *= (*(yyvsp[-2].poly));
		}
	}

	delete (yyvsp[-2].poly);
}
#line 4789 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 134:
#line 2644 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I(-1);
	(yyval.poly) = (yyvsp[0].poly);
	(yyval.poly)->mul_assign(I);
}
#line 4799 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 135:
#line 2651 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForTMVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "TM variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	int numVars = continuousProblem.tmVarNames.size();
	Interval I(1);

	vector<int> degrees;
	for(int i=0; i<numVars; ++i)
	{
		degrees.push_back(0);
	}

	degrees[id] = 1;
	Monomial monomial(I, degrees);

	(yyval.poly) = new Polynomial(monomial);
	delete (yyvsp[0].identifier);
}
#line 4830 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 136:
#line 2679 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.tmVarNames.size();
	Interval I((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	(yyval.poly) = new Polynomial(I, numVars);
}
#line 4840 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 137:
#line 2706 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.ptm) = (yyvsp[-2].ptm);
	(yyvsp[-2].ptm)->add_assign(*(yyvsp[0].ptm));
	delete (yyvsp[0].ptm);
}
#line 4850 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 138:
#line 2713 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.ptm) = (yyvsp[-2].ptm);
	(yyvsp[-2].ptm)->sub_assign(*(yyvsp[0].ptm));
	delete (yyvsp[0].ptm);
}
#line 4860 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 139:
#line 2720 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.ptm) = (yyvsp[-2].ptm);

	Interval intPoly1, intPoly2, intTrunc;

	(yyvsp[0].ptm)->polyRangeNormal(intPoly2, parseSetting.step_exp_table);
	(yyvsp[-2].ptm)->mul_insert_ctrunc_normal_assign(intPoly1, intTrunc, *(yyvsp[0].ptm), intPoly2, parseSetting.step_exp_table, parseSetting.order);

	parseSetting.ranges.push_back(intPoly1);
	parseSetting.ranges.push_back(intPoly2);
	parseSetting.ranges.push_back(intTrunc);

	delete (yyvsp[0].ptm);
}
#line 4879 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 140:
#line 2736 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.ptm) = (yyvsp[-1].ptm);
}
#line 4887 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 2741 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmTemp;
	(yyvsp[0].ptm)->rec_taylor(tmTemp, parseSetting.ranges, parseSetting.step_exp_table, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(yyval.ptm) = (yyvsp[-2].ptm);

	Interval intPoly1, intPoly2, intTrunc;

	tmTemp.polyRangeNormal(intPoly2, parseSetting.step_exp_table);
	(yyvsp[-2].ptm)->mul_insert_ctrunc_normal_assign(intPoly1, intTrunc, tmTemp, intPoly2, parseSetting.step_exp_table, parseSetting.order);

	parseSetting.ranges.push_back(intPoly1);
	parseSetting.ranges.push_back(intPoly2);
	parseSetting.ranges.push_back(intTrunc);

	delete (yyvsp[0].ptm);
}
#line 4909 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 2760 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmTemp;
	(yyvsp[-1].ptm)->exp_taylor(tmTemp, parseSetting.ranges, parseSetting.step_exp_table, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	*(yyvsp[-1].ptm) = tmTemp;
	(yyval.ptm) = (yyvsp[-1].ptm);
}
#line 4921 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2769 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmTemp;
	(yyvsp[-1].ptm)->sin_taylor(tmTemp, parseSetting.ranges, parseSetting.step_exp_table, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	*(yyvsp[-1].ptm) = tmTemp;
	(yyval.ptm) = (yyvsp[-1].ptm);
}
#line 4933 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2778 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmTemp;
	(yyvsp[-1].ptm)->cos_taylor(tmTemp, parseSetting.ranges, parseSetting.step_exp_table, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	*(yyvsp[-1].ptm) = tmTemp;
	(yyval.ptm) = (yyvsp[-1].ptm);
}
#line 4945 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2787 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmTemp;
	(yyvsp[-1].ptm)->log_taylor(tmTemp, parseSetting.ranges, parseSetting.step_exp_table, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	*(yyvsp[-1].ptm) = tmTemp;
	(yyval.ptm) = (yyvsp[-1].ptm);
}
#line 4957 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2796 "modelParser.y" /* yacc.c:1646  */
    {
	TaylorModel tmTemp;
	(yyvsp[-1].ptm)->sqrt_taylor(tmTemp, parseSetting.ranges, parseSetting.step_exp_table, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	*(yyvsp[-1].ptm) = tmTemp;
	(yyval.ptm) = (yyvsp[-1].ptm);
}
#line 4969 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2805 "modelParser.y" /* yacc.c:1646  */
    {
	int exp = (int)(yyvsp[0].dblVal);

	if(exp == 0)
	{
		Interval I(1);
		(yyval.ptm) = new TaylorModel(I, continuousProblem.stateVarNames.size()+1);
	}
	else
	{
		(yyval.ptm) = new TaylorModel(*(yyvsp[-2].ptm));

		Interval intPoly1, intPoly2, intTrunc;
		(yyvsp[-2].ptm)->polyRangeNormal(intPoly2, parseSetting.step_exp_table);

		for(int i=2; i<=exp; ++i)
		{
			(yyval.ptm)->mul_insert_ctrunc_normal_assign(intPoly1, intTrunc, *(yyvsp[-2].ptm), intPoly2, parseSetting.step_exp_table, parseSetting.order);

			parseSetting.ranges.push_back(intPoly1);
			parseSetting.ranges.push_back(intPoly2);
			parseSetting.ranges.push_back(intTrunc);
		}
	}

	delete (yyvsp[-2].ptm);
}
#line 5001 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2834 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I(-1);
	(yyval.ptm) = (yyvsp[0].ptm);
	(yyval.ptm)->mul_assign(I);
}
#line 5011 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2841 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(yyval.ptm) = new TaylorModel;
	(*(yyval.ptm)) = parseSetting.flowpipe.tms[id];

	delete (yyvsp[0].identifier);
}
#line 5032 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2859 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size()+1;
	Interval I((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	(yyval.ptm) = new TaylorModel(I, numVars);
}
#line 5042 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2882 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pint) = (yyvsp[-2].pint);
	(*(yyval.pint)) += (*(yyvsp[0].pint));
	delete (yyvsp[0].pint);
}
#line 5052 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2889 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pint) = (yyvsp[-2].pint);
	(*(yyval.pint)) -= (*(yyvsp[0].pint));
	delete (yyvsp[0].pint);
}
#line 5062 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2896 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pint) = new Interval;

	(*(yyval.pint)) = (*parseSetting.iterRange) * (*(yyvsp[0].pint));
	++parseSetting.iterRange;
	(*(yyval.pint)) += (*parseSetting.iterRange) * (*(yyvsp[-2].pint));
	(*(yyval.pint)) += (*(yyvsp[-2].pint)) * (*(yyvsp[0].pint));
	++parseSetting.iterRange;
	(*(yyval.pint)) += (*parseSetting.iterRange);
	++parseSetting.iterRange;

	delete (yyvsp[-2].pint);
	delete (yyvsp[0].pint);
}
#line 5081 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2912 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pint) = (yyvsp[-1].pint);
}
#line 5089 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2917 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intTemp;
	rec_taylor_only_remainder(intTemp, *(yyvsp[0].pint), parseSetting.iterRange, parseSetting.order);

	(yyval.pint) = new Interval;

	(*(yyval.pint)) = (*parseSetting.iterRange) * intTemp;
	++parseSetting.iterRange;
	(*(yyval.pint)) += (*parseSetting.iterRange) * (*(yyvsp[-2].pint));
	(*(yyval.pint)) += (*(yyvsp[-2].pint)) * intTemp;
	++parseSetting.iterRange;
	(*(yyval.pint)) += (*parseSetting.iterRange);
	++parseSetting.iterRange;

	delete (yyvsp[-2].pint);
	delete (yyvsp[0].pint);
}
#line 5111 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2936 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intTemp;
	exp_taylor_only_remainder(intTemp, *(yyvsp[-1].pint), parseSetting.iterRange, parseSetting.order);

	(*(yyvsp[-1].pint)) = intTemp;
	(yyval.pint) = (yyvsp[-1].pint);
}
#line 5123 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2945 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intTemp;
	sin_taylor_only_remainder(intTemp, *(yyvsp[-1].pint), parseSetting.iterRange, parseSetting.order);

	(*(yyvsp[-1].pint)) = intTemp;
	(yyval.pint) = (yyvsp[-1].pint);
}
#line 5135 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2954 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intTemp;
	cos_taylor_only_remainder(intTemp, *(yyvsp[-1].pint), parseSetting.iterRange, parseSetting.order);

	(*(yyvsp[-1].pint)) = intTemp;
	(yyval.pint) = (yyvsp[-1].pint);
}
#line 5147 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2963 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intTemp;
	log_taylor_only_remainder(intTemp, *(yyvsp[-1].pint), parseSetting.iterRange, parseSetting.order);

	(*(yyvsp[-1].pint)) = intTemp;
	(yyval.pint) = (yyvsp[-1].pint);
}
#line 5159 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2972 "modelParser.y" /* yacc.c:1646  */
    {
	Interval intTemp;
	sqrt_taylor_only_remainder(intTemp, *(yyvsp[-1].pint), parseSetting.iterRange, parseSetting.order);

	(*(yyvsp[-1].pint)) = intTemp;
	(yyval.pint) = (yyvsp[-1].pint);
}
#line 5171 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2981 "modelParser.y" /* yacc.c:1646  */
    {
	int exp = (int)(yyvsp[0].dblVal);

	if(exp == 0)
	{
		Interval intZero;
		(*(yyvsp[-2].pint)) = intZero;
		(yyval.pint) = (yyvsp[-2].pint);
	}
	else
	{
		(yyval.pint) = new Interval(*(yyvsp[-2].pint));

		for(int i=2; i<=exp; ++i)
		{
			Interval intTemp;
			intTemp = (*parseSetting.iterRange) * (*(yyvsp[-2].pint));
			++parseSetting.iterRange;
			intTemp += (*parseSetting.iterRange) * (*(yyval.pint));
			intTemp += (*(yyvsp[-2].pint)) * (*(yyval.pint));
			++parseSetting.iterRange;
			intTemp += (*parseSetting.iterRange);
			++parseSetting.iterRange;
			
			(*(yyval.pint)) = intTemp;
		}
	}

	delete (yyvsp[-2].pint);
}
#line 5206 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 3013 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pint) = (yyvsp[0].pint);
	(yyval.pint)->inv_assign();
}
#line 5215 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 3019 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(yyval.pint) = new Interval;
	(*(yyval.pint)) = parseSetting.flowpipe.tms[id].getRemainder();

	delete (yyvsp[0].identifier);
}
#line 5236 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 164:
#line 3037 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.pint) = new Interval;
}
#line 5244 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 3059 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) += (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 5255 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 3067 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) -= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 5266 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 167:
#line 3075 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) *= (*(yyvsp[0].poly));
	(yyval.poly)->nctrunc(parseSetting.order);
	(yyval.poly)->cutoff();

	delete (yyvsp[0].poly);
}
#line 5279 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 3085 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-1].poly);
}
#line 5287 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 3090 "modelParser.y" /* yacc.c:1646  */
    {
	Polynomial polyTemp;
	(yyvsp[0].poly)->rec_taylor(polyTemp, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(*(yyvsp[-2].poly)) *= polyTemp;
	(yyvsp[-2].poly)->nctrunc(parseSetting.order);
	(yyval.poly) = (yyvsp[-2].poly);
	(yyval.poly)->cutoff();

	delete (yyvsp[0].poly);
}
#line 5303 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 3103 "modelParser.y" /* yacc.c:1646  */
    {
	Polynomial polyTemp;
	(yyvsp[-1].poly)->exp_taylor(polyTemp, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(*(yyvsp[-1].poly)) = polyTemp;
	(yyval.poly) = (yyvsp[-1].poly);
}
#line 5315 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 3112 "modelParser.y" /* yacc.c:1646  */
    {
	Polynomial polyTemp;
	(yyvsp[-1].poly)->sin_taylor(polyTemp, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(*(yyvsp[-1].poly)) = polyTemp;
	(yyval.poly) = (yyvsp[-1].poly);
}
#line 5327 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 3121 "modelParser.y" /* yacc.c:1646  */
    {
	Polynomial polyTemp;
	(yyvsp[-1].poly)->cos_taylor(polyTemp, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(*(yyvsp[-1].poly)) = polyTemp;
	(yyval.poly) = (yyvsp[-1].poly);
}
#line 5339 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 3130 "modelParser.y" /* yacc.c:1646  */
    {
	Polynomial polyTemp;
	(yyvsp[-1].poly)->log_taylor(polyTemp, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(*(yyvsp[-1].poly)) = polyTemp;
	(yyval.poly) = (yyvsp[-1].poly);
}
#line 5351 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 174:
#line 3139 "modelParser.y" /* yacc.c:1646  */
    {
	Polynomial polyTemp;
	(yyvsp[-1].poly)->sqrt_taylor(polyTemp, continuousProblem.stateVarNames.size()+1, parseSetting.order);

	(*(yyvsp[-1].poly)) = polyTemp;
	(yyval.poly) = (yyvsp[-1].poly);
}
#line 5363 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 3148 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I(1);
	Polynomial polyTemp(I, continuousProblem.stateVarNames.size()+1);

	int degree = (int)(yyvsp[0].dblVal);
	for(int i=0; i<degree; ++i)
	{
		polyTemp *= *(yyvsp[-2].poly);
		polyTemp.nctrunc(parseSetting.order);
	}

	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) = polyTemp;
	(yyval.poly)->cutoff();
}
#line 5383 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 3165 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[0].poly);
	(yyval.poly)->inv_assign();
}
#line 5392 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 3171 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(yyval.poly) = new Polynomial;
	parseSetting.flowpipe.tms[id].getExpansion(*(yyval.poly));
}
#line 5411 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 178:
#line 3187 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I((yyvsp[-3].dblVal), (yyvsp[-1].dblVal));
	(yyval.poly) = new Polynomial(I, continuousProblem.stateVarNames.size()+1);
}
#line 5420 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 3207 "modelParser.y" /* yacc.c:1646  */
    {
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += '+';
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += (*(yyvsp[0].identifier));

	(yyval.identifier) = (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 5434 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 3218 "modelParser.y" /* yacc.c:1646  */
    {
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += '-';
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += (*(yyvsp[0].identifier));

	(yyval.identifier) = (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 5448 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 3229 "modelParser.y" /* yacc.c:1646  */
    {
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += '*';
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += (*(yyvsp[0].identifier));

	(yyval.identifier) = (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 5462 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 3240 "modelParser.y" /* yacc.c:1646  */
    {
	string str;
	str += '(';
	str += (*(yyvsp[-1].identifier));
	str += ')';
	(*(yyvsp[-1].identifier)) = str;

	(yyval.identifier) = (yyvsp[-1].identifier);
}
#line 5476 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 3251 "modelParser.y" /* yacc.c:1646  */
    {
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += '/';
	(*(yyvsp[-2].identifier)) += ' ';
	(*(yyvsp[-2].identifier)) += (*(yyvsp[0].identifier));

	(yyval.identifier) = (yyvsp[-2].identifier);
	delete (yyvsp[0].identifier);
}
#line 5490 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 3262 "modelParser.y" /* yacc.c:1646  */
    {
	string str("exp");
	str += '(';
	str += (*(yyvsp[-1].identifier));
	str += ')';
	(*(yyvsp[-1].identifier)) = str;

	(yyval.identifier) = (yyvsp[-1].identifier);
}
#line 5504 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 3273 "modelParser.y" /* yacc.c:1646  */
    {
	string str("sin");
	str += '(';
	str += (*(yyvsp[-1].identifier));
	str += ')';
	(*(yyvsp[-1].identifier)) = str;

	(yyval.identifier) = (yyvsp[-1].identifier);
}
#line 5518 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 3284 "modelParser.y" /* yacc.c:1646  */
    {
	string str("cos");
	str += '(';
	str += (*(yyvsp[-1].identifier));
	str += ')';
	(*(yyvsp[-1].identifier)) = str;

	(yyval.identifier) = (yyvsp[-1].identifier);
}
#line 5532 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 3295 "modelParser.y" /* yacc.c:1646  */
    {
	string str("log");
	str += '(';
	str += (*(yyvsp[-1].identifier));
	str += ')';
	(*(yyvsp[-1].identifier)) = str;

	(yyval.identifier) = (yyvsp[-1].identifier);
}
#line 5546 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 3306 "modelParser.y" /* yacc.c:1646  */
    {
	string str("sqrt");
	str += '(';
	str += (*(yyvsp[-1].identifier));
	str += ')';
	(*(yyvsp[-1].identifier)) = str;

	(yyval.identifier) = (yyvsp[-1].identifier);
}
#line 5560 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 3317 "modelParser.y" /* yacc.c:1646  */
    {
	(*(yyvsp[-2].identifier)) += '^';

	char strNum[NUM_LENGTH];
	sprintf(strNum, "%d", (int)(yyvsp[0].dblVal));
	string num(strNum);
	(*(yyvsp[-2].identifier)) += num;

	(yyval.identifier) = (yyvsp[-2].identifier);
}
#line 5575 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 3329 "modelParser.y" /* yacc.c:1646  */
    {
	string str;
	str += '-';
	str += (*(yyvsp[0].identifier));
	(*(yyvsp[0].identifier)) = str;

	(yyval.identifier) = (yyvsp[0].identifier);
}
#line 5588 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 3339 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	(yyval.identifier) = (yyvsp[0].identifier);
}
#line 5606 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 3354 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.identifier) = new string;
	char strNum[NUM_LENGTH];
	sprintf(strNum, "%.20e", (yyvsp[0].dblVal));
	string num(strNum);

	(*(yyval.identifier)) += '[';
	(*(yyval.identifier)) += num;
	(*(yyval.identifier)) += ' ';
	(*(yyval.identifier)) += ',';
	(*(yyval.identifier)) += ' ';
	(*(yyval.identifier)) += num;
	(*(yyval.identifier)) += ']';
}
#line 5625 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 3371 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) += (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 5636 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 3379 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-2].poly);
	(*(yyval.poly)) -= (*(yyvsp[0].poly));

	delete (yyvsp[0].poly);
}
#line 5647 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 3387 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I((yyvsp[-2].dblVal));
	(yyval.poly) = (yyvsp[0].poly);
	(yyval.poly)->mul_assign(I);
}
#line 5657 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 3394 "modelParser.y" /* yacc.c:1646  */
    {
	(yyval.poly) = (yyvsp[-1].poly); 
}
#line 5665 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 3399 "modelParser.y" /* yacc.c:1646  */
    {
	Interval I(-1);
	(yyval.poly) = (yyvsp[0].poly);
	(yyval.poly)->mul_assign(I);
}
#line 5675 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 3406 "modelParser.y" /* yacc.c:1646  */
    {
	int id = continuousProblem.getIDForStateVar(*(yyvsp[0].identifier));

	if(id < 0)
	{
		char errMsg[MSG_SIZE];
		sprintf(errMsg, "State variable %s is not declared.", (*(yyvsp[0].identifier)).c_str());
		parseError(errMsg, lineNum);
		exit(1);
	}

	int numVars = continuousProblem.stateVarNames.size()+1;
	Interval I(1);

	vector<int> degrees;
	for(int i=0; i<numVars; ++i)
	{
		degrees.push_back(0);
	}

	degrees[id+1] = 1;
	Monomial monomial(I, degrees);

	(yyval.poly) = new Polynomial(monomial);
	delete (yyvsp[0].identifier);
}
#line 5706 "modelParser.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 3434 "modelParser.y" /* yacc.c:1646  */
    {
	int numVars = continuousProblem.stateVarNames.size()+1;
	Interval I((yyvsp[0].dblVal));
	(yyval.poly) = new Polynomial(I, numVars);
}
#line 5716 "modelParser.tab.c" /* yacc.c:1646  */
    break;


#line 5720 "modelParser.tab.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 3461 "modelParser.y" /* yacc.c:1906  */


int yyerror(const char * what)
{
	fprintf(stderr, "Error line %d: %s\n", lineNum,what);
	err=true;
	return 1;
}

int yyerror(string what)
{
	cerr << "Error line "<<lineNum<<" "<<what<<endl;
	err=true;
	return 1;
}
